Closed Bug 1510569 Opened 2 years ago Closed 9 months ago

Replace RemoteWebProgress, RemoteWebProgressRequest, and WebProgressChild with C++ Components

Categories

(Core :: DOM: Content Processes, task, P2)

task

Tracking

()

RESOLVED FIXED

People

(Reporter: smaug, Assigned: barret)

References

(Blocks 3 open bugs, Regressed 1 open bug)

Details

(Whiteboard: [fxperf:p3])

Attachments

(32 files)

47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
47 bytes, text/x-phabricator-request
Details | Review
Those jsms don't seem to be particularly complicated, yet they show up occasionally in performance profiles.
Blocks: 1509228, 1510275
Can you point to some of these profiles and/or give a rough estimate of what you think this'd save us in terms of performance?

I also wonder if some of this is going to need to change for Fission anyway.
Component: General → DOM: Content Processes
Flags: needinfo?(bugs)
Product: Toolkit → Core
Whiteboard: [fxperf]
See the bugs this blocks. But I've seen this elsewhere too.
And yes, Fission will probably require some changes. So perhaps while implementing Fission, this stuff will get converted to native code.
Flags: needinfo?(bugs)
Yes, we should definitely do this!

(Note that I'm planning to run this code less frequently in bug 1510275 which would make this hurt us less, but still.)
Whiteboard: [fxperf] → [fxperf:p3]
See Also: → 1471327
Assignee: nobody → brennie
Status: NEW → ASSIGNED
Depends on: 1520879

Barret, you should be able to continue on top of the patch I posted in bug 1520879.

I didn't port the parent process side of things to C++ (see the nsIBrowser methods added in that patch) because it wasn't clear to me if that's easy to do in an incremental fashion. Specifically, RemoteWebProgressManager would need to be ported to C++ in order to be able to do something useful but doing so before the other JS consumers were ported would have required creating an XPIDL interface for the new C++ class in order to allow calling it from both C++ and JS and that seemed like a lot of work. Plus it wasn't obvious if it would even be worth doing since the progress listeners themselves are implemented in JS so we'd ultimately be calling from C++ to JS in the parent process anyway, unlike the content process side where my patch makes us avoid a C++ to JS call for onContentBlockingEvent notifications completely.

Agree, at this point there doesn't seem to be any particular need to convert the parent side to C++, unless someone had profiles that show it causes janky. Even then, I think it would be a much lower priority than the child side.

One last thing other thing to note that on the parent side, even calling AsBrowser() will run JS, so avoiding running JS will boil down to not touching mFrameElement at all...

pauljt, could you recommend some reviewers from the security (psm) team for this work? Part of this touches on re-implementing the serialization of nsNSIX509Cert, nsIX509CertList, and nsITransportSecurityInfo for IPDL instead of using the nsISerializable implementation.

Flags: needinfo?(ptheriault)

I'd defer to Dana for reviews in that space.

Feel free to flag me for feedback though, I'd be keen to review this myself as well (but my review won't help you land it :)

Flags: needinfo?(ptheriault) → needinfo?(dkeeler)

I can review PSM changes. Heads up that making those kinds of changes are likely going to require necko changes as well, since the serialization of those components are used in a few different areas. Also note that we generally need to be able to deserialize older formats because these structures are saved in the cache and persist across updates.

Flags: needinfo?(dkeeler)

Thanks Dana! The existing nsISerializable implementation isn't changing -- I'm implementing IPDLParamTraits for nsITransportSercurityInfo. With that said, I don't think this work needs to support deserializing older formats since this is just for IPC and the reading from the cache should use the existing nsISerializable implementation, but let me know if I'm incorrect about that.

Ah - I imagine there won't be any issues with that, then.

Hi :kmag,

I'm working on this bug and ran into the issues outlined in bug 1471327. Per your comment:

So, there are essentially two different kinds of about:blank loads: 1) Initial about:blank contentViewer creations that are going to be replaced with a real document. These have document.readyState == "uninitialized", and should generally be ignored. And, 2) real about:blank document loads, either directly loaded, or implicitly loaded for the sake of running things like javascript: URIs. These have document.readyState == "loading", "interactive", or "complete".

Telling them apart can be tricky, but we already have to do it for the sake of extension content scripts, so it's not really much trouble to do the same in other cases.

What else is tricky to distinguish them apart from checking the readyState attribute? Is there anything else I need to take into consideration?

Thanks!

Flags: needinfo?(kmaglione+bmo)

Gijs, you may also know about this?

Flags: needinfo?(gijskruitbosch+bugs)

(In reply to Barret Rennie [:brennie] from comment #13)

Gijs, you may also know about this?

I'm not seeing a concrete question. Naively, I'd expect you're just having to convert whatever logic we have for about:blank stuff in WebProgressChild/RemoteWebProgress.jsm into C++.

Broadly, we have some code specifically handling initial about:blank in tabbrowser.js, but AFAICT (see bug 1471327 comment 18) the extant checks aren't actually very good. IIRC they only cope with STATE_STOP notifications whereas obviously other ones are also fired.

Are you running into specific test failures or something? Something specific you're wondering how to convert from the old to the new implementation?

Flags: needinfo?(gijskruitbosch+bugs) → needinfo?(brennie)

Sorry, I meant the question I posed to :kmag. Is there anything besides document.readyState == "uninitialized" that I should be checking to see if I shouldn't be propagating events to the TabParent?

Flags: needinfo?(brennie) → needinfo?(gijskruitbosch+bugs)

(In reply to Barret Rennie [:brennie] from comment #15)

Sorry, I meant the question I posed to :kmag. Is there anything besides document.readyState == "uninitialized" that I should be checking to see if I shouldn't be propagating events to the TabParent?

I think if you're in C++ land you can check Document->IsInitialDocument(). I don't know if that's sufficient for the STATE_START events; do you have a document at that point? If not, I expect :nika or :qdot would know how to distinguish these.

Flags: needinfo?(gijskruitbosch+bugs)

Going by the comments in the JSM, we won't have a document by then and accessing it will create a new about:blank document.

:nika, any thoughts on what can be done here?

I've thought about just adding a flag on something (docshell?) that gets set approximately here and not propagating the events until that flag is set.

Flags: needinfo?(nika)

(In reply to Barret Rennie [:brennie] from comment #17)

Going by the comments in the JSM, we won't have a document by then and accessing it will create a new about:blank document.

It will from JS, but you can ask a docshell GetExtantDoc() and that won't (will just return nullptr if no doc exists).

However, the first thing to load isn't necessarily an initial about:blank doc so we'd need to do additional checks in the case where no doc has yet loaded to determine what it is we're starting to load.

Ah I wasn't aware of that method.

Is Document::IsInitialDocument() sufficient? If not, what are the other checks that need to be done? This search on searchfox only shows a few usages of IsInitialDocument, none of which do anything further.

Redirecting the ni? to :qDot because he knows more about the document loading lifecycle.

Flags: needinfo?(nika) → needinfo?(kyle)

Clearing needinfo since its been ~a month without response.

Flags: needinfo?(kyle)
Flags: needinfo?(kmaglione+bmo)

The implementation of WebProgressChild.jsm filters all nsIWebProgress events
through an nsBrowserFilter. We need to do this in the TabChild as well, but
TabChild currently only handles onContentBlockingEvent, for which
nsBrowserFilter only calls the underlying listener.

We also unregister the progress listener much earlier in TabChild::Destroy as
this method causes OnStateChange event to be triggered later on, which we are
not interested in capturing.

Changing RemoteWebProgress to a C++ XPCOM object will cause the request being
passed into the onStateChange handler in promiseBrowserLoaded to become a
wrapped XPCOM object for an nsIRequest, instead of the JS object it was
previously. This results in the attribute lookup for originalURI on the
request to fail, leading to cascading failures.

Depends on D24808

Due to adding a new CPP file in the next change, the unified build fails due to
files being shuffled around between translation units. This change fixes the
build.

Depends on D24809

WindowGlobalChild.cpp was relying on several headers already included by other
files in its unified build translation unit, but the addition of the
RemoteWebProgressRequest in the next change bumps them into another translation
unit and breaks the build.

The missing #include and using namespace statements have been added,
allowing builds to succeed.

The RemoteWebProgressManager is now implemented in terms of a
nsIWebProgressListener. This paves the way for reconstructing the
nsIWebProgress and nsIRequest passed to the event handlers in C++ instead of in
JS and will alllow for a cleaner overall design.

While here, I also cleaned up RemoteWebProgressManager to use the class
syntactic sugar.

Depends on D24940

Now that we have access to the RemoteWebProgress from the TabParent and can
construct RemoteWebProgress and RemoteWebProgressRequests in C++, we can
reconstruct the RemoteWebProgress and RemoteWebProgressRequest in the TabParent
instead of RemoteWebProgressManager. This improves the API for nsIBrowser and
RemoteWebProgressManager, removing the need for the
callWebProgressContentBlockingEventListeners method in both. It also means we
won't need to implement callWebProgress*Listeners for methods on nsIBrowser
and RemoteWebProgressManager for all other nsIWebProgress events.

Depends on D24941

Attachment #9053432 - Attachment description: Bug 1510569 - Ensure TabChild's IPC actor is not dead before sending OnContentBlockingEvent message to TabParent r?froydnj → Bug 1510569 - Ensure TabChild's IPC actor is not dead before sending OnContentBlockingEvent message to TabParent r?nika

The browser_talltabslistener.js test verifies that (a) certain
nsIWebProgress events occur in the correct order and (b) that the events come
from the correct browser. However, the part of the test that listend for
onStatusChange messages did not actually confirm that they were triggered or
that the correct number of them were triggered. The ordering of the
onStatusChange events with respect to the other nsIWebProgress events is
non-deterministic because onStatusChange events are filtered through the
nsBrowserStatusFilter, which may or may not put them on a delay timer (due to
the message being repeated often).

The presence of this timer makes for a lovely race condition. Now that the
TabChild's onStatusChange event handler is registered earlier (in
TabChild::Init instead of the WebProgressChild.jsm) we are getting more
onStatusChange messages and the race more frequently results in a failing
test. This is due to one of the test cases swapping browsers but not
explicitly waiting for all onStatusChange events to come in, so the test case
will run with swapped browsers and a onStatusChange event from a previous
test case will leak through, causing the test to fail.

The simplest way to fix these tests is to just remove the onStatusChange
listeners, since they do not assert whether or not they are received -- the
tests will pass even if no onStatusChange events are sent.

Depends on D25446

Depends on: 1540768

We do not need to handle onProgressChange64 notifications since the TabChild's
web progress events are filtered through an nsBrowserStatusFilter, which
truncates onProgresChange64 event values to 32-bit integers and then calls
onProgressChange.

Depends on D25648

Attachment #9053431 - Attachment description: Bug 1510569 - Use Maybe<T> instead of IPDL unions for TabChild-TabParent WebProgress messages r?nika → Bug 1510569 - Use Maybe<T> directly in TabChild::PrepareProgressListenerData r?nika,Alex_Gaynor

I wasn't able to land this patch as it needs rebasing and lando can't do it automatically

Please rebase your patch and commit again afterwards.

Flags: needinfo?(brennie)
Keywords: checkin-needed

Rebased. Should be good to go.

Flags: needinfo?(brennie)
Keywords: checkin-needed
Keywords: checkin-needed
Keywords: checkin-needed

Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a928d7bd9427
Export nsBrowserStatusFilter.h r=kmag
https://hg.mozilla.org/integration/autoland/rev/1ba9a2cebf12
Filter TabChild nsIWebProgress events through a nsBrowserFilter r=kmag
https://hg.mozilla.org/integration/autoland/rev/277768e37335
Use Maybe<T> directly in TabChild::PrepareProgressListenerData r=nika,Alex_Gaynor
https://hg.mozilla.org/integration/autoland/rev/b075ab8b8be4
Ensure TabChild's IPC actor is not dead before sending OnContentBlockingEvent message to TabParent r=nika
https://hg.mozilla.org/integration/autoland/rev/d34a8ec4785c
Include innerDOMWindowID in the WebProgressData sent from TabChild to TabParent r=baku
https://hg.mozilla.org/integration/autoland/rev/26bcb800c977
QueryInterface received nsIRequest in promiseBrowserLoaded to an nsIChannel r=kmag
https://hg.mozilla.org/integration/autoland/rev/b485ad73deaf
Add missing includes to WindowGlobalParent.cpp r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/5b7c090ce927
Reimplement RemoteWebProgress as an XPCOM component in C++ r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/d4dad98ee1f5
Add missing includes and using namespace declarations r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/99ffbc050281
Reimplement RemoteWebProgressRequest as an XPCOM component in C++ r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/6fa1cb5a5a97
Implement nsIWebProgressListener for RemoteWebProgressManager r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/31b206e2046f
Reconstruct nsIWebProgress and nsIRequest for onContentBlockingEvent in TabParent r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/791382b2c9bf
Port onStatusChange notifications inside WebProgressChild.jsm to C++ r=baku
https://hg.mozilla.org/integration/autoland/rev/d5106af44dab
Remove onStatusChange handlers from browser_alltabslistener.js r=Gijs
https://hg.mozilla.org/integration/autoland/rev/102881458323
Implement nsIWebProgressListener2 for TabChild r=baku
https://hg.mozilla.org/integration/autoland/rev/e1fbefe38944
Port onProgressChange notifications inside WebProgressChild.jsm to C++ r=baku
https://hg.mozilla.org/integration/autoland/rev/52e8c16849b3
Port onRefreshAttempted from WebProgressChild.jsm to C++ r=baku

Keywords: checkin-needed

== Change summary for alert #20279 (as of Thu, 04 Apr 2019 05:32:25 GMT) ==

Improvements:

11% tsvgr_opacity windows10-64-shippable-qr opt e10s stylo 102.25 -> 90.98
10% tsvgr_opacity windows7-32-shippable opt e10s stylo 120.07 -> 107.96
9% tsvgr_opacity linux64-shippable opt e10s stylo 159.42 -> 144.97
8% tsvgr_opacity linux64-shippable-qr opt e10s stylo 116.50 -> 106.95
8% tsvgr_opacity osx-10-10-shippable opt e10s stylo 230.22 -> 212.25
5% tsvgx windows10-64-shippable opt e10s stylo 124.13 -> 118.09

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=20279

Regressions: 1542183

And another perf improvement from Raptor:

== Change summary for alert #20340 (as of Mon, 08 Apr 2019 07:36:19 GMT) ==

Improvements:

3% raptor-tp6-amazon-firefox fcp linux64-shippable opt 256.19 -> 249.46

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=20340

(In reply to Florin Strugariu [:Bebe] from comment #43)

== Change summary for alert #20279 (as of Thu, 04 Apr 2019 05:32:25 GMT) ==

Improvements:

11% tsvgr_opacity windows10-64-shippable-qr opt e10s stylo 102.25 -> 90.98
10% tsvgr_opacity windows7-32-shippable opt e10s stylo 120.07 -> 107.96
9% tsvgr_opacity linux64-shippable opt e10s stylo 159.42 -> 144.97
8% tsvgr_opacity linux64-shippable-qr opt e10s stylo 116.50 -> 106.95
8% tsvgr_opacity osx-10-10-shippable opt e10s stylo 230.22 -> 212.25
5% tsvgx windows10-64-shippable opt e10s stylo 124.13 -> 118.09

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=20279

Unrelated to this bug, but it would be really nice if we could find a way to make these tests not depend on random bits of overhead of the tab load cycle and actually measure just the SVG performance they're supposed to be testing...

On the other hand, it is also good to see how somewhat random change elsewhere affects to this kinds of tests. It tells us that we were running JSMs at very wrong time. No JS should run in hot code paths.

(In reply to Olli Pettay [:smaug] from comment #46)

On the other hand, it is also good to see how somewhat random change elsewhere affects to this kinds of tests. It tells us that we were running JSMs at very wrong time. No JS should run in hot code paths.

But that test's repeated loading of things makes bits of the browser "hot" that aren't actually all that hot in normal use. If we consider anything related to navigation "hot" then I guess we should be implementing the URL bar (and back/fwd buttons, and anything else that depends on docshell state/history) in C++ next...

(In reply to Olli Pettay [:smaug] from comment #46)

On the other hand, it is also good to see how somewhat random change elsewhere affects to this kinds of tests. It tells us that we were running JSMs at very wrong time. No JS should run in hot code paths.

Sure, but having that overhead show up in random tests that are unrelated isn't helpful. The tsvg tests are supposed to be measuring SVG performance, but wind up mostly measuring a bunch of unrelated stuff instead, since the SVG code it runs is so much cheaper than the extraneous code.

Ideally, for those tests anyway, we should find a way to measure the actual SVG stuff we care about in-between the extraneous bits. If we want to actually measure the overhead of a super trivial page load, that should really be a separate test.

The nsBrowserStatusFilter fushes pending status and progress updates when an
OnStateChange event for a STATE_STOP state is triggered. This may run its
OnProgressChange and OnStatusChange listeners, which may in turn run arbitrary
JavaScript or even remove the web progress listener from the filter. When this
happens, we will continue to call the OnStateChange event handler on a listener
that is now a nullptr, causing a crash.

We now explicitly check that we still have a web progress listener before
continuing and have renamed the ProcessTimeout function to a more descriptive
name (CallDelayedProgressListeners) that indicates what it actually does.

We now also only access the document when the state is
nsIWebProgress::STATE_STOP. The comments in the previous code indicated that
touching the document inside the event handler when the state is not STATE_STOP
would result in the content creating a new about:blank document to retrieve the
values from. However, it then went on to do this in another location, causing a
document to be created whenever we received an onStateChange event. This should
no longer occur.

Depends on D28124

Attachment #9059346 - Attachment description: Bug 1510569 - Keep track of whether we are navigating to a new URI on nsIDocShell r?mconley → Bug 1510569 - Keep track of whether we are navigating to a new URI in nsDocShell r?mconley
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cc9cc4f3e3eb
Ensure we still have a listener after calling delayed progress listeners in nsBrowserStatusFilter r=Ehsan
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a6ad4039d785
Keep track of whether we are navigating to a new URI in nsDocShell r=mconley,kmag,qdot
https://hg.mozilla.org/integration/autoland/rev/13c5249d66a7
Port onStateChange notifications inside WebProgressChild.jsm to C++ r=baku,kmag

Backed out 2 changesets (Bug 1510569) for crashtests/1419902.html failures

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=android%2C7.0%2Cx86-64%2Copt%2Creftests%2Ctest-android-em-7.0-x86_64%2Fopt-crashtest-e10s%2Cr%28c%29&fromchange=26c271a86fddbef6275e2c62140db382266ba392&tochange=1c30a781b423462afdef09e088e5e601437b5bdc&selectedJob=244246803

Backout link: https://hg.mozilla.org/integration/autoland/rev/8e41578fce723e0042214478198c65a2daf18e3e

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244246803&repo=autoland&lineNumber=2758

[task 2019-05-02T17:50:42.549Z] 17:50:42 INFO - REFTEST TEST-START | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html
[task 2019-05-02T17:50:42.549Z] 17:50:42 INFO - REFTEST INFO | SET PREFERENCE pref(dom.disable_open_during_load,false)
[task 2019-05-02T17:50:42.549Z] 17:50:42 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html | 312 / 3731 (8%)
[task 2019-05-02T17:50:42.549Z] 17:50:42 INFO - REFTEST WARNING | Failed to find the test-plugin.
[task 2019-05-02T17:50:42.550Z] 17:50:42 INFO - REFTEST WARNING | Failed to find the test-plugin.
[task 2019-05-02T17:50:42.550Z] 17:50:42 INFO - REFTEST WARNING | Failed to get test plugin tags.
[task 2019-05-02T17:51:03.086Z] 17:51:03 INFO - wait for org.mozilla.geckoview.test complete; top activity=com.android.launcher3
[task 2019-05-02T17:51:03.189Z] 17:51:03 INFO - remoteautomation.py | Application ran for: 0:01:04.702721
[task 2019-05-02T17:51:03.766Z] 17:51:03 INFO - REFTEST INFO | Downloading symbols from: https://queue.taskcluster.net/v1/task/Itezshj4Qw6Mo6TuQkEKyQ/artifacts/public/build/target.crashreporter-symbols.zip
[task 2019-05-02T17:51:07.194Z] 17:51:07 INFO - REFTEST INFO | Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmplFfD_R/05bb81ba-5e0a-541f-6407-2c37aa9ebd3b.dmp /tmp/tmpC1flH2
[task 2019-05-02T17:51:10.295Z] 17:51:10 INFO - REFTEST INFO | Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/05bb81ba-5e0a-541f-6407-2c37aa9ebd3b.dmp
[task 2019-05-02T17:51:10.295Z] 17:51:10 INFO - REFTEST INFO | Saved app info as /builds/worker/workspace/build/blobber_upload_dir/05bb81ba-5e0a-541f-6407-2c37aa9ebd3b.extra
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - REFTEST PROCESS-CRASH | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html | application crashed [@ nsTSubstring<char>::Assign(nsTSubstring<char> const&, std::nothrow_t const&)]
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - Crash dump filename: /tmp/tmplFfD_R/05bb81ba-5e0a-541f-6407-2c37aa9ebd3b.dmp
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - Operating system: Android
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - 0.0.0 Linux 3.10.0+ #1 PREEMPT Thu Jan 5 00:46:30 UTC 2017 x86_64
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - CPU: amd64
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - family 6 model 2 stepping 3
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - 1 CPU
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - GPU: UNKNOWN
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - Crash address: 0x380
[task 2019-05-02T17:51:10.299Z] 17:51:10 INFO - Process uptime: not available
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - Thread 11 (crashed)
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - 0 libxul.so!nsTSubstring<char>::Assign(nsTSubstring<char> const&, std::nothrow_t const&) [nsTSubstring.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 470 + 0x0]
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - rax = 0x0002000100000000 rdx = 0x000074a0f61b01d4
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - rcx = 0x000074a0f61b01d4 rbx = 0x0000000000000378
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - rsi = 0x0000000000000378 rdi = 0x000074a0f69bc088
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - rbp = 0x000074a0f69bc050 rsp = 0x000074a0f69bc040
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - r8 = 0x0000000000000000 r9 = 0x0000000000000000
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - r10 = 0x0000000000000000 r11 = 0x000074a0e8e7fff0
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - r12 = 0x000074a0e7374828 r13 = 0x000074a0f574fa88
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - r14 = 0x000074a0f69bc088 r15 = 0x000074a0e7372000
[task 2019-05-02T17:51:10.300Z] 17:51:10 INFO - rip = 0x000074a0f05c2403
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - Found by: given as instruction pointer in context
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - 1 libxul.so!nsTSubstring<char>::Assign(nsTSubstring<char> const&) [nsTSubstring.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 455 + 0xc]
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - rbx = 0x0000000000000378 rbp = 0x000074a0f69bc070
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - rsp = 0x000074a0f69bc060 r12 = 0x000074a0e7374828
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - r13 = 0x000074a0f574fa88 r14 = 0x000074a0f69bc108
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - r15 = 0x000074a0e7372000 rip = 0x000074a0f05bfc25
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - 2 libxul.so!mozilla::dom::Document::GetContentType(nsTSubstring<char16_t>&) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3219 + 0x13]
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - rbx = 0x000074a0f69bc088 rbp = 0x000074a0f69bc0b0
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - rsp = 0x000074a0f69bc080 r12 = 0x000074a0e7374828
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - r13 = 0x000074a0f574fa88 r14 = 0x000074a0f69bc108
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - r15 = 0x000074a0e7372000 rip = 0x000074a0f1028450
[task 2019-05-02T17:51:10.301Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - 3 libxul.so!mozilla::dom::BrowserChild::OnStateChange(nsIWebProgress*, nsIRequest*, unsigned int, nsresult) [BrowserChild.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3474 + 0x21]
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bc190
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - rsp = 0x000074a0f69bc0c0 r12 = 0x000074a0e7374828
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - r13 = 0x000074a0f574fa88 r14 = 0x000074a0f69bc108
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - r15 = 0x000074a0e7372000 rip = 0x000074a0f1baf543
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - 4 libxul.so!nsBrowserStatusFilter::OnStateChange(nsIWebProgress*, nsIRequest*, unsigned int, nsresult) [nsBrowserStatusFilter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 174 + 0x12]
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - rbx = 0x00000000000c0010 rbp = 0x000074a0f69bc1e0
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - rsp = 0x000074a0f69bc1a0 r12 = 0x000074a0e6c9eeb8
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - r13 = 0x000074a0e7374828 r14 = 0x000074a0e73aee00
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f27d99c1
[task 2019-05-02T17:51:10.302Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 5 libxul.so!nsDocLoader::DoFireOnStateChange(nsIWebProgress*, nsIRequest*, int&, nsresult) [nsDocLoader.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 1313 + 0x19]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0f69bc28c rbp = 0x000074a0f69bc270
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc1f0 r12 = 0x000074a0f69bc238
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x000074a0f69bc210 r14 = 0x000074a0e73aee08
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0e7374800 rip = 0x000074a0f0cd263a
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 6 libxul.so!nsDocLoader::doStopDocumentLoad(nsIRequest*, nsresult) [nsDocLoader.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 883 + 0x1d]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0e7374828 rbp = 0x000074a0f69bc310
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc280 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x000074a0f69bc28c r14 = 0x00000000804b0002
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0e6c9eeb8 rip = 0x000074a0f0cd2327
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 7 libxul.so!nsDocLoader::DocLoaderIsEmpty(bool) [nsDocLoader.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 710 + 0x11]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0f69bc3d8 rbp = 0x000074a0f69bc410
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc320 r12 = 0x000074a0e7374938
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x000074a0e7374800 r14 = 0x000074a0e6c9eeb8
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0f5eac1e0 rip = 0x000074a0f0cd14eb
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 8 libxul.so!nsDocLoader::OnStopRequest(nsIRequest*, nsresult) [nsDocLoader.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 598 + 0xb]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0f69bc438 rbp = 0x000074a0f69bc4d0
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc420 r12 = 0x000074a0e7374938
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x000074a0e7374800 r14 = 0x000074a0e6c9eeb8
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x00000000804b0002 rip = 0x000074a0f0cd2019
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 9 libxul.so!non-virtual thunk to nsDocLoader::OnStopRequest(nsIRequest*, nsresult) [nsDocLoader.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 0 + 0xd]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0f69bc500 rbp = 0x000074a0f69bc4e0
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc4e0 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x000074a0e7374808 r14 = 0x000074a0e8d6e940
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0e6c9eeb8 rip = 0x000074a0f0cd21cd
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 10 libxul.so!mozilla::net::nsLoadGroup::RemoveRequest(nsIRequest*, nsISupports*, nsresult) [nsLoadGroup.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 568 + 0x14]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0f69bc500 rbp = 0x000074a0f69bc590
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc4f0 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x000074a0e7374808 r14 = 0x000074a0e8d6e940
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0e6c9eeb8 rip = 0x000074a0f06a3494
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 11 libxul.so!mozilla::net::nsLoadGroup::Cancel(nsresult) [nsLoadGroup.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 221 + 0x14]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0e8d6e940 rbp = 0x000074a0f69bc680
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc5a0 r12 = 0x000074a0e8d6e9a8
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x0000000000000001 r14 = 0x00000000804b0002
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0e6c9eeb8 rip = 0x000074a0f06a26f8
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - 12 libxul.so!nsDocLoader::Stop() [nsDocLoader.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 229 + 0x17]
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rbx = 0x000074a0e7374800 rbp = 0x000074a0f69bc6d0
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - rsp = 0x000074a0f69bc690 r12 = 0x000074a0f69bc7f8
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r13 = 0x0000000000000ffe r14 = 0x000074a0e7374800
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - r15 = 0x000074a0eb972220 rip = 0x000074a0f0cd134c
[task 2019-05-02T17:51:10.305Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - 13 libxul.so!nsDocShell::Stop(unsigned int) [nsDocShell.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 4749 + 0x8]
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - rbx = 0x000074a0e7374800 rbp = 0x000074a0f69bc740
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - rsp = 0x000074a0f69bc6e0 r12 = 0x000074a0f69bc7f8
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - r13 = 0x0000000000000ffe r14 = 0x0000000000000001
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - r15 = 0x000074a0eb972220 rip = 0x000074a0f2661257
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - 14 libxul.so!non-virtual thunk to nsDocShell::Stop(unsigned int) [nsDocShell.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 0 + 0x10]
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - rbx = 0x000074a0e7374988 rbp = 0x000074a0f69bc750
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - rsp = 0x000074a0f69bc750 r12 = 0x000074a0f69bc7f8
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - r13 = 0x0000000000000ffe r14 = 0x0000000000000000
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - r15 = 0x000074a0eb972220 rip = 0x000074a0f267306a
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.306Z] 17:51:10 INFO - 15 libxul.so!nsWindowWatcher::OpenWindowInternal(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsIArray*, bool, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [nsWindowWatcher.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 779 + 0x9]
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - rbx = 0x000074a0e7374988 rbp = 0x000074a0f69bc9f0
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - rsp = 0x000074a0f69bc760 r12 = 0x000074a0f69bc7f8
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - r13 = 0x0000000000000ffe r14 = 0x0000000000000000
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - r15 = 0x000074a0eb972220 rip = 0x000074a0f28413f8
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - 16 libxul.so!nsWindowWatcher::OpenWindow2(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsISupports*, bool, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [nsWindowWatcher.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 369 + 0x40]
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bcaa0
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - rsp = 0x000074a0f69bca00 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - r13 = 0x0000000000000001 r14 = 0x0000000000000000
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - r15 = 0x000074a0eb9a72e0 rip = 0x000074a0f2842448
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.307Z] 17:51:10 INFO - 17 libxul.so!nsGlobalWindowOuter::OpenInternal(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, bool, bool, bool, bool, bool, nsIArray*, nsISupports*, nsDocShellLoadState*, bool, nsPIDOMWindowOuter**) [nsGlobalWindowOuter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 7194 + 0x5b]
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bccb0
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - rsp = 0x000074a0f69bcab0 r12 = 0x0000000000000001
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - r13 = 0x000074a0eb972220 r14 = 0x0000000000000001
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - r15 = 0x000074a0eb9a72e8 rip = 0x000074a0f0fe8c90
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - 18 libxul.so!nsGlobalWindowOuter::OpenJS(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsPIDOMWindowOuter**) [nsGlobalWindowOuter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 5711 + 0x32]
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - rbx = 0x000074a0f69bcd20 rbp = 0x000074a0f69bcd00
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - rsp = 0x000074a0f69bccc0 r12 = 0x000074a0f69bce60
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - r13 = 0x000074a0f69bcef0 r14 = 0x000074a0f69bcdc0
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - r15 = 0x000074a0f69bcda8 rip = 0x000074a0f0fe82fa
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - 19 libxul.so!nsGlobalWindowOuter::OpenOuter(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, mozilla::ErrorResult&) [nsGlobalWindowOuter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 5683 + 0x18]
[task 2019-05-02T17:51:10.308Z] 17:51:10 INFO - rbx = 0x000074a0f69bcd20 rbp = 0x000074a0f69bcd50
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - rsp = 0x000074a0f69bcd10 r12 = 0x000074a0f69bce60
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - r13 = 0x000074a0f69bcef0 r14 = 0x000074a0f69bcdc0
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - r15 = 0x000074a0f69bcda8 rip = 0x000074a0f0fe8224
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - 20 libxul.so!nsGlobalWindowInner::Open(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, mozilla::ErrorResult&) [nsGlobalWindowInner.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3678 + 0x27]
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - rbx = 0x000074a0f69bcda8 rbp = 0x000074a0f69bcd90
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - rsp = 0x000074a0f69bcd60 r12 = 0x000074a0f69bce60
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - r13 = 0x000074a0f69bcef0 r14 = 0x000074a0f69bcdc0
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - r15 = 0x000074a0f69bcdd0 rip = 0x000074a0f0fd3d98
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - 21 libxul.so!mozilla::dom::Window_Binding::open(JSContext*, JS::Handle<JSObject*>, nsGlobalWindowInner*, JSJitMethodCallArgs const&) [WindowBinding.cpp: : 2868 + 0xb]
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - rbx = 0x000074a0f69bcda8 rbp = 0x000074a0f69bcfb0
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - rsp = 0x000074a0f69bcda0 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.309Z] 17:51:10 INFO - r13 = 0x000074a0f69bd010 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - r15 = 0x000074a0e8d64800 rip = 0x000074a0f14964c0
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - 22 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::MaybeGlobalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3153 + 0x11]
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - rbx = 0x00002957c4351060 rbp = 0x000074a0f69bd050
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - rsp = 0x000074a0f69bcfc0 r12 = 0x0000000000000001
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - r13 = 0x000000000000032d r14 = 0x000074a0f58ca980
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - r15 = 0x000074a0ec524000 rip = 0x000074a0f165e941
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - 23 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 535 + 0x13e]
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - rbx = 0x000074a0e7aa4400 rbp = 0x000074a0f69bd120
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - rsp = 0x000074a0f69bd060 r12 = 0x000074a0f69bd218
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - r13 = 0x00002957c4355b00 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - r15 = 0x000074a0f69bd0c0 rip = 0x000074a0f2966d5f
[task 2019-05-02T17:51:10.310Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - 24 libxul.so!js::jit::DoCallFallback(JSContext*, js::jit::BaselineFrame*, js::jit::ICCall_Fallback*, unsigned int, JS::Value*, JS::MutableHandle<JS::Value>) [BaselineIC.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3875 + 0x8]
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bd510
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - rsp = 0x000074a0f69bd130 r12 = 0x000074a0ec5d4b24
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - r13 = 0x000074a0ec5d4b00 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - r15 = 0x000074a0e82b6200 rip = 0x000074a0f2ea6d08
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - 25 0x24479a1908f8
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - rbx = 0xfffe2957c4355b00 rbp = 0x000074a0f69bd588
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - rsp = 0x000074a0f69bd520 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - r13 = 0x000074a0f69bdd90 r14 = 0x00002957c4360c40
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - r15 = 0x000074a0f69bd708 rip = 0x000024479a1908f8
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - 26 0x74a0e82b6200
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - rbp = 0x000074a0f69bd628 rsp = 0x000074a0f69bd598
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - rip = 0x000074a0e82b6200
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.311Z] 17:51:10 INFO - 27 0x24479a18e4df
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - rbp = 0x000074a0f69bd690 rsp = 0x000074a0f69bd638
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - rip = 0x000024479a18e4df
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - 28 libxul.so!js::jit::MaybeEnterJit(JSContext*, js::RunState&) [Jit.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 183 + 0x6c9]
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - rbp = 0x000074a0f69bdb60 rsp = 0x000074a0f69bd6a0
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - rip = 0x000074a0f309c12d
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - 29 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 408 + 0xb]
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - rbx = 0x000000000000a7a0 rbp = 0x000074a0f69bdbc0
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - rsp = 0x000074a0f69bdb70 r12 = 0x000074a0f69bdc48
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - r13 = 0x000074a0ec524000 r14 = 0x000074a0f69bdc30
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - r15 = 0x00002957c4376100 rip = 0x000074a0f2951788
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.312Z] 17:51:10 INFO - 30 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 563 + 0xb]
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - rbx = 0x000074a0e7aa4400 rbp = 0x000074a0f69bdc90
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - rsp = 0x000074a0f69bdbd0 r12 = 0x000074a0f69bdd38
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f29670a1
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - 31 libxul.so!InternalConstruct(JSContext*, js::AnyConstructArgs const&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 636 + 0x10]
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - rbx = 0x000074a0f69bdeb8 rbp = 0x000074a0f69bdd00
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - rsp = 0x000074a0f69bdca0 r12 = 0x000074a0f69bdd38
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2967844
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - 32 libxul.so!JS::Construct(JSContext*, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JSObject*>) [jsapi.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 2697 + 0x31]
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - rbx = 0x000074a0f69bdeb8 rbp = 0x000074a0f69bde60
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - rsp = 0x000074a0f69bdd10 r12 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.313Z] 17:51:10 INFO - r13 = 0x0000000000000000 r14 = 0x000074a0f69bde80
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2d17dcd
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - 33 libxul.so!mozilla::dom::CustomElementConstructor::Construct(JS::MutableHandle<JS::Value>, mozilla::ErrorResult&, char const*, mozilla::dom::CallbackObject::ExceptionHandling, JS::Realm*) [CustomElementRegistryBinding.cpp: : 207 + 0x8]
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - rbx = 0x000074a0ec524000 rbp = 0x000074a0f69be0a0
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - rsp = 0x000074a0f69bde70 r12 = 0x000074a0e6de8e80
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524068
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - r15 = 0x000074a0f69be0c8 rip = 0x000074a0f14ef8aa
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - 34 libxul.so!nsContentUtils::NewXULOrHTMLElement(mozilla::dom::Element**, mozilla::dom::NodeInfo*, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsContentUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 9359 + 0xb]
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - rbx = 0x000074a0f69be0c8 rbp = 0x000074a0f69be1e0
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - rsp = 0x000074a0f69be0b0 r12 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - r13 = 0x000074a0f69be290 r14 = 0x000074a0e6de5000
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - r15 = 0x000074a0e73aeb00 rip = 0x000074a0f0fb6db4
[task 2019-05-02T17:51:10.314Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - 35 libxul.so!NS_NewHTMLElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsHTMLContentSink.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 233 + 0x8]
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69be210
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - rsp = 0x000074a0f69be1f0 r12 = 0x000074a0e73aeb00
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - r13 = 0x000074a0f69be298 r14 = 0x000074a0f69be1f0
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f187e448
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - 36 libxul.so!NS_NewElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsTSubstring<char16_t> const*) [nsNameSpaceManager.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 175 + 0x1d]
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69be270
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - rsp = 0x000074a0f69be220 r12 = 0x000074a0e73aeb00
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - r13 = 0x000074a0f69be298 r14 = 0x000074a0f69be290
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f10d105a
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - 37 libxul.so!mozilla::dom::Document::CreateElem(nsTSubstring<char16_t> const&, nsAtom*, int, nsTSubstring<char16_t> const*) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 7545 + 0x1b]
[task 2019-05-02T17:51:10.315Z] 17:51:10 INFO - rbx = 0x000074a0f69be308 rbp = 0x000074a0f69be2d0
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - rsp = 0x000074a0f69be280 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - r13 = 0x000074a0f69be298 r14 = 0x000074a0e78438d0
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - r15 = 0x0000000000000003 rip = 0x000074a0f102e7d5
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - 38 libxul.so!mozilla::dom::Document::CreateElement(nsTSubstring<char16_t> const&, mozilla::dom::ElementCreationOptionsOrString const&, mozilla::ErrorResult&) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 5520 + 0xd]
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69be3d0
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - rsp = 0x000074a0f69be2e0 r12 = 0x000074a0f69be308
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - r13 = 0x000074a0f69be430 r14 = 0x000074a0e6de5053
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - r15 = 0x000074a0f69be3e8 rip = 0x000074a0f102e6f6
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - 39 libxul.so!mozilla::dom::Document_Binding::createElement(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Document*, JSJitMethodCallArgs const&) [DocumentBinding.cpp: : 1366 + 0xb]
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - rbx = 0x000074a0ec524000 rbp = 0x000074a0f69be580
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - rsp = 0x000074a0f69be3e0 r12 = 0x000074a0f69be3e8
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - r13 = 0x000000000000008b r14 = 0x000074a0e6de5000
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - r15 = 0x000074a0f69be5e0 rip = 0x000074a0f1536f17
[task 2019-05-02T17:51:10.316Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - 40 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3153 + 0x14]
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - rbx = 0x000074a0f1536dbf rbp = 0x000074a0f69be620
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - rsp = 0x000074a0f69be590 r12 = 0x0000000000000002
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - r13 = 0x000000000000008b r14 = 0x000074a0f58e8f40
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - r15 = 0x000074a0ec524000 rip = 0x000074a0f165e580
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - 41 0x24479a2a9bc0
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - rbx = 0xfffe2957c4360c40 rbp = 0x000074a0f69be678
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - rsp = 0x000074a0f69be630 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - r13 = 0x000074a0f69bee80 r14 = 0x00002957c4360c40
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - r15 = 0x000074a0f69be7f8 rip = 0x000024479a2a9bc0
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - 42 0x74a0e82b6358
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - rbp = 0x000074a0f69be718 rsp = 0x000074a0f69be688
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - rip = 0x000074a0e82b6358
[task 2019-05-02T17:51:10.317Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - 43 0x24479a18e4df
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rbp = 0x000074a0f69be780 rsp = 0x000074a0f69be728
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rip = 0x000024479a18e4df
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - 44 libxul.so!js::jit::MaybeEnterJit(JSContext*, js::RunState&) [Jit.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 183 + 0x6c9]
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rbp = 0x000074a0f69bec50 rsp = 0x000074a0f69be790
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rip = 0x000074a0f309c12d
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - 45 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 408 + 0xb]
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rbx = 0x000000000000a720 rbp = 0x000074a0f69becb0
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rsp = 0x000074a0f69bec60 r12 = 0x000074a0f69bed38
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - r13 = 0x000074a0ec524000 r14 = 0x000074a0f69bed20
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - r15 = 0x00002957c4376100 rip = 0x000074a0f2951788
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - 46 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 563 + 0xb]
[task 2019-05-02T17:51:10.318Z] 17:51:10 INFO - rbx = 0x000074a0e7aa4400 rbp = 0x000074a0f69bed80
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - rsp = 0x000074a0f69becc0 r12 = 0x000074a0f69bee28
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f29670a1
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - 47 libxul.so!InternalConstruct(JSContext*, js::AnyConstructArgs const&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 636 + 0x10]
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - rbx = 0x000074a0f69befa8 rbp = 0x000074a0f69bedf0
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - rsp = 0x000074a0f69bed90 r12 = 0x000074a0f69bee28
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2967844
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - 48 libxul.so!JS::Construct(JSContext*, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JSObject*>) [jsapi.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 2697 + 0x31]
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - rbx = 0x000074a0f69befa8 rbp = 0x000074a0f69bef50
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - rsp = 0x000074a0f69bee00 r12 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - r13 = 0x0000000000000000 r14 = 0x000074a0f69bef70
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2d17dcd
[task 2019-05-02T17:51:10.319Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - 49 libxul.so!mozilla::dom::CustomElementConstructor::Construct(JS::MutableHandle<JS::Value>, mozilla::ErrorResult&, char const*, mozilla::dom::CallbackObject::ExceptionHandling, JS::Realm*) [CustomElementRegistryBinding.cpp: : 207 + 0x8]
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - rbx = 0x000074a0ec524000 rbp = 0x000074a0f69bf190
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - rsp = 0x000074a0f69bef60 r12 = 0x000074a0e6de8e80
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524068
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - r15 = 0x000074a0f69bf1b8 rip = 0x000074a0f14ef8aa
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - 50 libxul.so!nsContentUtils::NewXULOrHTMLElement(mozilla::dom::Element**, mozilla::dom::NodeInfo*, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsContentUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 9359 + 0xb]
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - rbx = 0x000074a0f69bf1b8 rbp = 0x000074a0f69bf2d0
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - rsp = 0x000074a0f69bf1a0 r12 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - r13 = 0x000074a0f69bf380 r14 = 0x000074a0e6de5000
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - r15 = 0x000074a0e73aeb00 rip = 0x000074a0f0fb6db4
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.320Z] 17:51:10 INFO - 51 libxul.so!NS_NewHTMLElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsHTMLContentSink.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 233 + 0x8]
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bf300
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - rsp = 0x000074a0f69bf2e0 r12 = 0x000074a0e73aeb00
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - r13 = 0x000074a0f69bf388 r14 = 0x000074a0f69bf2e0
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f187e448
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - 52 libxul.so!NS_NewElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsTSubstring<char16_t> const*) [nsNameSpaceManager.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 175 + 0x1d]
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bf360
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - rsp = 0x000074a0f69bf310 r12 = 0x000074a0e73aeb00
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - r13 = 0x000074a0f69bf388 r14 = 0x000074a0f69bf380
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f10d105a
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.321Z] 17:51:10 INFO - 53 libxul.so!mozilla::dom::Document::CreateElem(nsTSubstring<char16_t> const&, nsAtom*, int, nsTSubstring<char16_t> const*) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 7545 + 0x1b]
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - rbx = 0x000074a0f69bf3f8 rbp = 0x000074a0f69bf3c0
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - rsp = 0x000074a0f69bf370 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - r13 = 0x000074a0f69bf388 r14 = 0x000074a0e78438d0
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - r15 = 0x0000000000000003 rip = 0x000074a0f102e7d5
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - 54 libxul.so!mozilla::dom::Document::CreateElement(nsTSubstring<char16_t> const&, mozilla::dom::ElementCreationOptionsOrString const&, mozilla::ErrorResult&) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 5520 + 0xd]
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69bf4c0
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - rsp = 0x000074a0f69bf3d0 r12 = 0x000074a0f69bf3f8
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - r13 = 0x000074a0f69bf520 r14 = 0x000074a0e6de5053
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - r15 = 0x000074a0f69bf4d8 rip = 0x000074a0f102e6f6
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - 55 libxul.so!mozilla::dom::Document_Binding::createElement(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Document*, JSJitMethodCallArgs const&) [DocumentBinding.cpp: : 1366 + 0xb]
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - rbx = 0x000074a0ec524000 rbp = 0x000074a0f69bf670
[task 2019-05-02T17:51:10.322Z] 17:51:10 INFO - rsp = 0x000074a0f69bf4d0 r12 = 0x000074a0f69bf4d8
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - r13 = 0x000000000000008b r14 = 0x000074a0e6de5000
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - r15 = 0x000074a0f69bf6d0 rip = 0x000074a0f1536f17
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - 56 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3153 + 0x14]
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - rbx = 0x000074a0f1536dbf rbp = 0x000074a0f69bf710
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - rsp = 0x000074a0f69bf680 r12 = 0x0000000000000002
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - r13 = 0x000000000000008b r14 = 0x000074a0f58e8f40
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - r15 = 0x000074a0ec524000 rip = 0x000074a0f165e580
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - 57 0x24479a2a9bc0
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - rbx = 0xfffe2957c4360c40 rbp = 0x000074a0f69bf768
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - rsp = 0x000074a0f69bf720 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - r13 = 0x000074a0f69bff70 r14 = 0x00002957c4360c40
[task 2019-05-02T17:51:10.323Z] 17:51:10 INFO - r15 = 0x000074a0f69bf8e8 rip = 0x000024479a2a9bc0
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - 58 0x74a0e82b6358
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rbp = 0x000074a0f69bf808 rsp = 0x000074a0f69bf778
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rip = 0x000074a0e82b6358
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - 59 0x24479a18e4df
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rbp = 0x000074a0f69bf870 rsp = 0x000074a0f69bf818
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rip = 0x000024479a18e4df
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - 60 libxul.so!js::jit::MaybeEnterJit(JSContext*, js::RunState&) [Jit.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 183 + 0x6c9]
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rbp = 0x000074a0f69bfd40 rsp = 0x000074a0f69bf880
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rip = 0x000074a0f309c12d
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - 61 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 408 + 0xb]
[task 2019-05-02T17:51:10.324Z] 17:51:10 INFO - rbx = 0x000000000000a6a0 rbp = 0x000074a0f69bfda0
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - rsp = 0x000074a0f69bfd50 r12 = 0x000074a0f69bfe28
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - r13 = 0x000074a0ec524000 r14 = 0x000074a0f69bfe10
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - r15 = 0x00002957c4376100 rip = 0x000074a0f2951788
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - 62 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 563 + 0xb]
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - rbx = 0x000074a0e7aa4400 rbp = 0x000074a0f69bfe70
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - rsp = 0x000074a0f69bfdb0 r12 = 0x000074a0f69bff18
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f29670a1
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - 63 libxul.so!InternalConstruct(JSContext*, js::AnyConstructArgs const&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 636 + 0x10]
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - rbx = 0x000074a0f69c0098 rbp = 0x000074a0f69bfee0
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - rsp = 0x000074a0f69bfe80 r12 = 0x000074a0f69bff18
[task 2019-05-02T17:51:10.325Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2967844
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - 64 libxul.so!JS::Construct(JSContext*, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JSObject*>) [jsapi.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 2697 + 0x31]
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - rbx = 0x000074a0f69c0098 rbp = 0x000074a0f69c0040
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - rsp = 0x000074a0f69bfef0 r12 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - r13 = 0x0000000000000000 r14 = 0x000074a0f69c0060
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2d17dcd
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - 65 libxul.so!mozilla::dom::CustomElementConstructor::Construct(JS::MutableHandle<JS::Value>, mozilla::ErrorResult&, char const*, mozilla::dom::CallbackObject::ExceptionHandling, JS::Realm*) [CustomElementRegistryBinding.cpp: : 207 + 0x8]
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - rbx = 0x000074a0ec524000 rbp = 0x000074a0f69c0280
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - rsp = 0x000074a0f69c0050 r12 = 0x000074a0e6de8e80
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524068
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - r15 = 0x000074a0f69c02a8 rip = 0x000074a0f14ef8aa
[task 2019-05-02T17:51:10.326Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - 66 libxul.so!nsContentUtils::NewXULOrHTMLElement(mozilla::dom::Element**, mozilla::dom::NodeInfo*, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsContentUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 9359 + 0xb]
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - rbx = 0x000074a0f69c02a8 rbp = 0x000074a0f69c03c0
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - rsp = 0x000074a0f69c0290 r12 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - r13 = 0x000074a0f69c0470 r14 = 0x000074a0e6de5000
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - r15 = 0x000074a0e73aeb00 rip = 0x000074a0f0fb6db4
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - 67 libxul.so!NS_NewHTMLElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsHTMLContentSink.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 233 + 0x8]
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69c03f0
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - rsp = 0x000074a0f69c03d0 r12 = 0x000074a0e73aeb00
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - r13 = 0x000074a0f69c0478 r14 = 0x000074a0f69c03d0
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f187e448
[task 2019-05-02T17:51:10.327Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - 68 libxul.so!NS_NewElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsTSubstring<char16_t> const*) [nsNameSpaceManager.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 175 + 0x1d]
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69c0450
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - rsp = 0x000074a0f69c0400 r12 = 0x000074a0e73aeb00
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - r13 = 0x000074a0f69c0478 r14 = 0x000074a0f69c0470
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f10d105a
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - 69 libxul.so!mozilla::dom::Document::CreateElem(nsTSubstring<char16_t> const&, nsAtom*, int, nsTSubstring<char16_t> const*) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 7545 + 0x1b]
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - rbx = 0x000074a0f69c04e8 rbp = 0x000074a0f69c04b0
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - rsp = 0x000074a0f69c0460 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - r13 = 0x000074a0f69c0478 r14 = 0x000074a0e78438d0
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - r15 = 0x0000000000000003 rip = 0x000074a0f102e7d5
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - 70 libxul.so!mozilla::dom::Document::CreateElement(nsTSubstring<char16_t> const&, mozilla::dom::ElementCreationOptionsOrString const&, mozilla::ErrorResult&) [Document.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 5520 + 0xd]
[task 2019-05-02T17:51:10.328Z] 17:51:10 INFO - rbx = 0x0000000000000000 rbp = 0x000074a0f69c05b0
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - rsp = 0x000074a0f69c04c0 r12 = 0x000074a0f69c04e8
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - r13 = 0x000074a0f69c0610 r14 = 0x000074a0e6de5053
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - r15 = 0x000074a0f69c05c8 rip = 0x000074a0f102e6f6
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - 71 libxul.so!mozilla::dom::Document_Binding::createElement(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Document*, JSJitMethodCallArgs const&) [DocumentBinding.cpp: : 1366 + 0xb]
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - rbx = 0x000074a0ec524000 rbp = 0x000074a0f69c0760
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - rsp = 0x000074a0f69c05c0 r12 = 0x000074a0f69c05c8
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - r13 = 0x000000000000008b r14 = 0x000074a0e6de5000
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - r15 = 0x000074a0f69c07c0 rip = 0x000074a0f1536f17
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - 72 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 3153 + 0x14]
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - rbx = 0x000074a0f1536dbf rbp = 0x000074a0f69c0800
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - rsp = 0x000074a0f69c0770 r12 = 0x0000000000000002
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - r13 = 0x000000000000008b r14 = 0x000074a0f58e8f40
[task 2019-05-02T17:51:10.329Z] 17:51:10 INFO - r15 = 0x000074a0ec524000 rip = 0x000074a0f165e580
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - 73 0x24479a2a9bc0
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rbx = 0xfffe2957c4360c40 rbp = 0x000074a0f69c0858
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rsp = 0x000074a0f69c0810 r12 = 0x0000000000000000
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - r13 = 0x000074a0f69c1060 r14 = 0x00002957c4360c40
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - r15 = 0x000074a0f69c09d8 rip = 0x000024479a2a9bc0
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - 74 0x74a0e82b6358
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rbp = 0x000074a0f69c08f8 rsp = 0x000074a0f69c0868
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rip = 0x000074a0e82b6358
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - 75 0x24479a18e4df
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rbp = 0x000074a0f69c0960 rsp = 0x000074a0f69c0908
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rip = 0x000024479a18e4df
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - 76 libxul.so!js::jit::MaybeEnterJit(JSContext*, js::RunState&) [Jit.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 183 + 0x6c9]
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rbp = 0x000074a0f69c0e30 rsp = 0x000074a0f69c0970
[task 2019-05-02T17:51:10.330Z] 17:51:10 INFO - rip = 0x000074a0f309c12d
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - Found by: previous frame's frame pointer
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - 77 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 408 + 0xb]
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - rbx = 0x000000000000a620 rbp = 0x000074a0f69c0e90
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - rsp = 0x000074a0f69c0e40 r12 = 0x000074a0f69c0f18
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - r13 = 0x000074a0ec524000 r14 = 0x000074a0f69c0f00
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - r15 = 0x00002957c4376100 rip = 0x000074a0f2951788
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - 78 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 563 + 0xb]
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - rbx = 0x000074a0e7aa4400 rbp = 0x000074a0f69c0f60
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - rsp = 0x000074a0f69c0ea0 r12 = 0x000074a0f69c1008
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - r15 = 0x0000000000000000 rip = 0x000074a0f29670a1
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - Found by: call frame info
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - 79 libxul.so!InternalConstruct(JSContext*, js::AnyConstructArgs const&) [Interpreter.cpp:13c5249d66a7fea13cac278964ad365564ae4478 : 636 + 0x10]
[task 2019-05-02T17:51:10.331Z] 17:51:10 INFO - rbx = 0x000074a0f69c1188 rbp = 0x000074a0f69c0fd0
[task 2019-05-02T17:51:10.332Z] 17:51:10 INFO - rsp = 0x000074a0f69c0f70 r12 = 0x000074a0f69c1008
[task 2019-05-02T17:51:10.332Z] 17:51:10 INFO - r13 = 0xfffe000000000000 r14 = 0x000074a0ec524000
[task 2019-05-02T17:51:10.332Z] 17:51:10 INFO - r15 = 0xfffe000000000000 rip = 0x000074a0f2967844
[task 2019-05-02T17:51:10.332Z] 17:51:10 INFO - Found by: call frame info

Type: enhancement → defect
Flags: needinfo?(brennie)
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/97f6ac273b5d
Keep track of whether we are navigating to a new URI in nsDocShell r=mconley,kmag,qdot
https://hg.mozilla.org/integration/autoland/rev/fc0ae629221a
Port onStateChange notifications inside WebProgressChild.jsm to C++ r=baku,kmag
Type: defect → enhancement
Flags: needinfo?(brennie)

Backed out 2 changesets (Bug 1510569) for crashtests/1419902.html crashes

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&searchStr=android%2C7.0%2Cx86-64%2Copt%2Creftests%2Ctest-android-em-7.0-x86_64%2Fopt-crashtest-e10s%2Cr%28c%29&fromchange=36c6d8c0df0eac2eb3403865f656a7f7bcb8826f&tochange=9186bf351f2c474ddd10bcac736a3cf4fd460f21&selectedJob=244354333

Backout link: https://hg.mozilla.org/integration/autoland/rev/9186bf351f2c474ddd10bcac736a3cf4fd460f21

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=244354333&repo=autoland&lineNumber=2759

[task 2019-05-03T00:26:57.173Z] 00:26:57 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html | 312 / 3731 (8%)
[task 2019-05-03T00:26:57.173Z] 00:26:57 INFO - REFTEST WARNING | Failed to find the test-plugin.
[task 2019-05-03T00:26:57.173Z] 00:26:57 INFO - REFTEST WARNING | Failed to find the test-plugin.
[task 2019-05-03T00:26:57.173Z] 00:26:57 INFO - REFTEST WARNING | Failed to get test plugin tags.
[task 2019-05-03T00:27:17.704Z] 00:27:17 INFO - wait for org.mozilla.geckoview.test complete; top activity=com.android.launcher3
[task 2019-05-03T00:27:17.807Z] 00:27:17 INFO - remoteautomation.py | Application ran for: 0:01:15.362076
[task 2019-05-03T00:27:18.243Z] 00:27:18 INFO - REFTEST INFO | Downloading symbols from: https://queue.taskcluster.net/v1/task/IPhDbzGdTiuAX6ugIkCm5w/artifacts/public/build/target.crashreporter-symbols.zip
[task 2019-05-03T00:27:21.407Z] 00:27:21 INFO - REFTEST INFO | Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpcEBbHn/43ab05c6-b9ca-ee7d-50d5-9f7fd367173e.dmp /tmp/tmpLArUe9
[task 2019-05-03T00:27:25.240Z] 00:27:25 INFO - REFTEST INFO | Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/43ab05c6-b9ca-ee7d-50d5-9f7fd367173e.dmp
[task 2019-05-03T00:27:25.240Z] 00:27:25 INFO - REFTEST INFO | Saved app info as /builds/worker/workspace/build/blobber_upload_dir/43ab05c6-b9ca-ee7d-50d5-9f7fd367173e.extra
[task 2019-05-03T00:27:25.245Z] 00:27:25 INFO - REFTEST PROCESS-CRASH | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html | application crashed [@ nsTSubstring<char>::Assign(nsTSubstring<char> const&, std::nothrow_t const&)]
[task 2019-05-03T00:27:25.245Z] 00:27:25 INFO - Crash dump filename: /tmp/tmpcEBbHn/43ab05c6-b9ca-ee7d-50d5-9f7fd367173e.dmp
[task 2019-05-03T00:27:25.245Z] 00:27:25 INFO - Operating system: Android
[task 2019-05-03T00:27:25.245Z] 00:27:25 INFO - 0.0.0 Linux 3.10.0+ #1 PREEMPT Thu Jan 5 00:46:30 UTC 2017 x86_64
[task 2019-05-03T00:27:25.245Z] 00:27:25 INFO - CPU: amd64
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - family 6 model 2 stepping 3
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - 1 CPU
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - GPU: UNKNOWN
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - Crash address: 0x380
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - Process uptime: not available
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - Thread 11 (crashed)
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - 0 libxul.so!nsTSubstring<char>::Assign(nsTSubstring<char> const&, std::nothrow_t const&) [nsTSubstring.cpp:fc0ae629221af74287f6df6f2ffb8bcc0b52c123 : 470 + 0x0]
[task 2019-05-03T00:27:25.246Z] 00:27:25 INFO - rax = 0x0002000100000000 rdx = 0x00007781a27dc1d4
[task 2019-05-03T00:27:25.247Z] 00:27:25 INFO - rcx = 0x00007781a27dc1d4 rbx = 0x0000000000000378
[task 2019-05-03T00:27:25.247Z] 00:27:25 INFO - rsi = 0x0000000000000378 rdi = 0x00007781a2fe7e78
[task 2019-05-03T00:27:25.247Z] 00:27:25 INFO - rbp = 0x00007781a2fe7e40 rsp = 0x00007781a2fe7e30
[task 2019-05-03T00:27:25.247Z] 00:27:25 INFO - r8 = 0x0000000000000000 r9 = 0x0000000000000000
[task 2019-05-03T00:27:25.253Z] 00:27:25 INFO - r10 = 0x0000000000000000 r11 = 0x00007781926e9640
[task 2019-05-03T00:27:25.253Z] 00:27:25 INFO - r12 = 0x000077819435c828 r13 = 0x00007781a1d4f828
[task 2019-05-03T00:27:25.253Z] 00:27:25 INFO - r14 = 0x00007781a2fe7e78 r15 = 0x000077819239e000
[task 2019-05-03T00:27:25.253Z] 00:27:25 INFO - rip = 0x000077819cbc98d3
[task 2019-05-03T00:27:25.253Z] 00:27:25 INFO - Found by: given as instruction pointer in context

Flags: needinfo?(brennie)
See Also: → 1543077

Before the WebProgress event handlers started migrating to C++, the parent
process would only receive WebProgress events after the child process had
finished loading the WebProgressChild script. Now that listeners are registered
much earlier (before the BrowserChild has finished setting up its frame
scripts), the BrowserParent would receive WebProgress events that were
heretofore not received unless the BrowserChild was very careful about when
it sent the IPC messages.

However, even while being very careful, the OnStateChange event handler would
always fire events for initial about:blank loads that break a lot of unit
tests. Before porting that event, we are now ensuring that the WebProgressChild
has finished loading so that we will receive only the WebProgressEvents that we
were previously expecting.

The latest patches up for review fix these crashes.

Flags: needinfo?(brennie)
Attachment #9063318 - Attachment description: Bug 1510569 - Only accept nsIWebProgress events in the BrowserParent once the WebProgressChild has finished loading r?kmag,mconley → Bug 1510569 - Only forward nsIWebProgress events to the BrowserParent after the WebProgressChild has loaded r?kmag,mconley

The BrowserParent's IPC receive methods for nsIWebProgress events in the
BrowserChild were all doing the same set up to ensure they had the correct
state to process them. This has now been refactored out into a single method.

Depends on D30252

Type: enhancement → task
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1d8ab383d3e9
Only forward nsIWebProgress events to the BrowserParent after the WebProgressChild has loaded r=kmag,mconley
https://hg.mozilla.org/integration/autoland/rev/4b0ed20ab3bc
Refactor BrowserParent nsIWebProgress handlers r=kmag
https://hg.mozilla.org/integration/autoland/rev/de97a258fcfd
Keep track of whether we are navigating to a new URI in nsDocShell r=mconley,kmag,qdot
https://hg.mozilla.org/integration/autoland/rev/57f49df057be
Port onStateChange notifications inside WebProgressChild.jsm to C++ r=baku,kmag

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=busted&revision=57f49df057be162a48618ed969f3859a087e0b77

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=247585903&repo=autoland&lineNumber=2378

Backout link: https://hg.mozilla.org/integration/autoland/rev/3fea24c6bb635575960e056e0e35f9f9d1a81e31

[task 2019-05-21T17:18:22.763Z] 17:18:22 INFO - /builds/worker/workspace/build/src/obj-firefox/_virtualenvs/init/bin/python /builds/worker/workspace/build/src/config/pythonpath.py -I/builds/worker/workspace/build/src/other-licenses/ply -I/builds/worker/workspace/build/src/xpcom/idl-parser -I../../../xpcom/idl-parser/xpidl
[task 2019-05-21T17:18:22.763Z] 17:18:22 INFO - /builds/worker/workspace/build/src/python/mozbuild/mozbuild/action/xpidl-process.py --cache-dir ../../../xpcom/idl-parser/xpidl --depsdir .deps
[task 2019-05-21T17:18:22.763Z] 17:18:22 INFO - --bindings-conf /builds/worker/workspace/build/src/dom/bindings/Bindings.conf
[task 2019-05-21T17:18:22.776Z] 17:18:22 INFO - -I /builds/worker/workspace/build/src/accessible/interfaces -I /builds/worker/workspace/build/src/browser/components -I /builds/worker/workspace/build/src/browser/components/migration -I /builds/worker/workspace/build/src/browser/components/newtab -I /builds/worker/workspace/build/src/browser/components/shell -I /builds/worker/workspace/build/src/caps -I /builds/worker/workspace/build/src/chrome -I /builds/worker/workspace/build/src/devtools/platform -I /builds/worker/workspace/build/src/devtools/server/actors/replay -I /builds/worker/workspace/build/src/docshell/base -I /builds/worker/workspace/build/src/docshell/shistory -I /builds/worker/workspace/build/src/dom/audiochannel -I /builds/worker/workspace/build/src/dom/base -I /builds/worker/workspace/build/src/dom/bindings -I /builds/worker/workspace/build/src/dom/browser-element -I /builds/worker/workspace/build/src/dom/commandhandler -I /builds/worker/workspace/build/src/dom/console -I /builds/worker/workspace/build/src/dom/events -I /builds/worker/workspace/build/src/dom/file/ipc -I /builds/worker/workspace/build/src/dom/html -I /builds/worker/workspace/build/src/dom/indexedDB -I /builds/worker/workspace/build/src/dom/interfaces/base -I /builds/worker/workspace/build/src/dom/interfaces/events -I /builds/worker/workspace/build/src/dom/interfaces/geolocation -I /builds/worker/workspace/build/src/dom/interfaces/html -I /builds/worker/workspace/build/src/dom/interfaces/notification -I /builds/worker/workspace/build/src/dom/interfaces/payments -I /builds/worker/workspace/build/src/dom/interfaces/push -I /builds/worker/workspace/build/src/dom/interfaces/security -I /builds/worker/workspace/build/src/dom/interfaces/sidebar -I /builds/worker/workspace/build/src/dom/interfaces/storage -I /builds/worker/workspace/build/src/dom/interfaces/xul -I /builds/worker/workspace/build/src/dom/ipc -I /builds/worker/workspace/build/src/dom/localstorage -I /builds/worker/workspace/build/src/dom/media -I /builds/worker/workspace/build/src/dom/media/bridge -I /builds/worker/workspace/build/src/dom/media/gmp -I /builds/worker/workspace/build/src/dom/media/webrtc -I /builds/worker/workspace/build/src/dom/media/webspeech/recognition -I /builds/worker/workspace/build/src/dom/media/webspeech/synth -I /builds/worker/workspace/build/src/dom/media/webvtt -I /builds/worker/workspace/build/src/dom/network/interfaces -I /builds/worker/workspace/build/src/dom/plugins/base -I /builds/worker/workspace/build/src/dom/power -I /builds/worker/workspace/build/src/dom/presentation/interfaces -I /builds/worker/workspace/build/src/dom/quota -I /builds/worker/workspace/build/src/dom/script -I /builds/worker/workspace/build/src/dom/simpledb -I /builds/worker/workspace/build/src/dom/system -I /builds/worker/workspace/build/src/dom/webauthn -I /builds/worker/workspace/build/src/dom/webbrowserpersist -I /builds/worker/workspace/build/src/dom/workers -I /builds/worker/workspace/build/src/dom/xslt/xslt -I /builds/worker/workspace/build/src/dom/xul -I /builds/worker/workspace/build/src/editor -I /builds/worker/workspace/build/src/editor/composer -I /builds/worker/workspace/build/src/editor/spellchecker -I /builds/worker/workspace/build/src/editor/txmgr -I /builds/worker/workspace/build/src/extensions/spellcheck/idl -I /builds/worker/workspace/build/src/gfx/src -I /builds/worker/workspace/build/src/image -I /builds/worker/workspace/build/src/intl/l10n -I /builds/worker/workspace/build/src/intl/locale -I /builds/worker/workspace/build/src/intl/strres -I /builds/worker/workspace/build/src/intl/uconv -I /builds/worker/workspace/build/src/js/ductwork/debugger -I /builds/worker/workspace/build/src/js/xpconnect/idl -I /builds/worker/workspace/build/src/js/xpconnect/tests/idl -I /builds/worker/workspace/build/src/layout/base -I /builds/worker/workspace/build/src/layout/inspector -I /builds/worker/workspace/build/src/layout/printing -I /builds/worker/workspace/build/src/layout/xul -I /builds/worker/workspace/build/src/layout/xul/tree -I /builds/worker/workspace/build/src/modules/libjar -I /builds/worker/workspace/build/src/modules/libjar/zipwriter -I /builds/worker/workspace/build/src/modules/libpref -I /builds/worker/workspace/build/src/netwerk/base -I /builds/worker/workspace/build/src/netwerk/cache -I /builds/worker/workspace/build/src/netwerk/cache2 -I /builds/worker/workspace/build/src/netwerk/cookie -I /builds/worker/workspace/build/src/netwerk/dns -I /builds/worker/workspace/build/src/netwerk/dns/mdns -I /builds/worker/workspace/build/src/netwerk/mime -I /builds/worker/workspace/build/src/netwerk/protocol/about -I /builds/worker/workspace/build/src/netwerk/protocol/file -I /builds/worker/workspace/build/src/netwerk/protocol/ftp -I /builds/worker/workspace/build/src/netwerk/protocol/http -I /builds/worker/workspace/build/src/netwerk/protocol/res -I /builds/worker/workspace/build/src/netwerk/protocol/viewsource -I /builds/worker/workspace/build/src/netwerk/protocol/websocket -I /builds/worker/workspace/build/src/netwerk/socket -I /builds/worker/workspace/build/src/netwerk/streamconv -I /builds/worker/workspace/build/src/netwerk/streamconv/converters -I /builds/worker/workspace/build/src/netwerk/test/httpserver -I /builds/worker/workspace/build/src/netwerk/url-classifier -I /builds/worker/workspace/build/src/netwerk/wifi -I /builds/worker/workspace/build/src/parser/html -I /builds/worker/workspace/build/src/parser/htmlparser -I /builds/worker/workspace/build/src/security/manager/pki -I /builds/worker/workspace/build/src/security/manager/ssl -I /builds/worker/workspace/build/src/security/sandbox/common -I /builds/worker/workspace/build/src/security/sandbox/linux/interfaces -I /builds/worker/workspace/build/src/services/crypto/component -I /builds/worker/workspace/build/src/services/fxaccounts/interfaces -I /builds/worker/workspace/build/src/storage -I /builds/worker/workspace/build/src/testing/marionette/components -I /builds/worker/workspace/build/src/toolkit/components/alerts -I /builds/worker/workspace/build/src/toolkit/components/asyncshutdown -I /builds/worker/workspace/build/src/toolkit/components/autocomplete -I /builds/worker/workspace/build/src/toolkit/components/backgroundhangmonitor -I /builds/worker/workspace/build/src/toolkit/components/bitsdownload -I /builds/worker/workspace/build/src/toolkit/components/browser -I /builds/worker/workspace/build/src/toolkit/components/captivedetect -I /builds/worker/workspace/build/src/toolkit/components/cleardata -I /builds/worker/workspace/build/src/toolkit/components/commandlines -I /builds/worker/workspace/build/src/toolkit/components/crashes -I /builds/worker/workspace/build/src/toolkit/components/downloads -I /builds/worker/workspace/build/src/toolkit/components/enterprisepolicies -I /builds/worker/workspace/build/src/toolkit/components/extensions -I /builds/worker/workspace/build/src/toolkit/components/filewatcher -I /builds/worker/workspace/build/src/toolkit/components/finalizationwitness -I /builds/worker/workspace/build/src/toolkit/components/find -I /builds/worker/workspace/build/src/toolkit/components/kvstore -I /builds/worker/workspace/build/src/toolkit/components/mozintl -I /builds/worker/workspace/build/src/toolkit/components/osfile -I /builds/worker/workspace/build/src/toolkit/components/parentalcontrols -I /builds/worker/workspace/build/src/toolkit/components/passwordmgr -I /builds/worker/workspace/build/src/toolkit/components/places -I /builds/worker/workspace/build/src/toolkit/components/reputationservice -I /builds/worker/workspace/build/src/toolkit/components/satchel -I /builds/worker/workspace/build/src/toolkit/components/search -I /builds/worker/workspace/build/src/toolkit/components/securityreporter -I /builds/worker/workspace/build/src/toolkit/components/shell -I /builds/worker/workspace/build/src/toolkit/components/startup/public -I /builds/worker/workspace/build/src/toolkit/components/telemetry/core -I /builds/worker/workspace/build/src/toolkit/components/telemetry/geckoview -I /builds/worker/workspace/build/src/toolkit/components/telemetry/other -I /builds/worker/workspace/build/src/toolkit/components/thumbnails -I /builds/worker/workspace/build/src/toolkit/components/timermanager -I /builds/worker/workspace/build/src/toolkit/components/typeaheadfind -I /builds/worker/workspace/build/src/toolkit/components/url-classifier -I /builds/worker/workspace/build/src/toolkit/components/urlformatter -I /builds/worker/workspace/build/src/toolkit/components/windowcreator -I /builds/worker/workspace/build/src/toolkit/components/windowwatcher -I /builds/worker/workspace/build/src/toolkit/components/xulstore -I /builds/worker/workspace/build/src/toolkit/mozapps/extensions -I /builds/worker/workspace/build/src/toolkit/mozapps/update -I /builds/worker/workspace/build/src/toolkit/profile -I /builds/worker/workspace/build/src/toolkit/xre -I /builds/worker/workspace/build/src/tools/profiler/gecko -I /builds/worker/workspace/build/src/uriloader/base -I /builds/worker/workspace/build/src/uriloader/exthandler -I /builds/worker/workspace/build/src/uriloader/prefetch -I /builds/worker/workspace/build/src/widget -I /builds/worker/workspace/build/src/xpcom/base -I /builds/worker/workspace/build/src/xpcom/components -I /builds/worker/workspace/build/src/xpcom/ds -I /builds/worker/workspace/build/src/xpcom/io -I /builds/worker/workspace/build/src/xpcom/system -I /builds/worker/workspace/build/src/xpcom/tests -I /builds/worker/workspace/build/src/xpcom/threads -I /builds/worker/workspace/build/src/xpfe/appshell
[task 2019-05-21T17:18:22.776Z] 17:18:22 INFO - ../../../dist/include ../../../dist/xpcrs .
[task 2019-05-21T17:18:22.776Z] 17:18:22 INFO - docshell /builds/worker/workspace/build/src/docshell/base/nsIContentViewer.idl /builds/worker/workspace/build/src/docshell/base/nsIContentViewerEdit.idl /builds/worker/workspace/build/src/docshell/base/nsIDocShell.idl /builds/worker/workspace/build/src/docshell/base/nsIDocShellTreeItem.idl /builds/worker/workspace/build/src/docshell/base/nsIDocShellTreeOwner.idl /builds/worker/workspace/build/src/docshell/base/nsIDocumentLoaderFactory.idl /builds/worker/workspace/build/src/docshell/base/nsILoadContext.idl /builds/worker/workspace/build/src/docshell/base/nsILoadURIDelegate.idl /builds/worker/workspace/build/src/docshell/base/nsIPrivacyTransitionObserver.idl /builds/worker/workspace/build/src/docshell/base/nsIReflowObserver.idl /builds/worker/workspace/build/src/docshell/base/nsIRefreshURI.idl /builds/worker/workspace/build/src/docshell/base/nsIScrollable.idl /builds/worker/workspace/build/src/docshell/base/nsITooltipListener.idl /builds/worker/workspace/build/src/docshell/base/nsITooltipTextProvider.idl /builds/worker/workspace/build/src/docshell/base/nsIURIFixup.idl /builds/worker/workspace/build/src/docshell/base/nsIWebNavigation.idl /builds/worker/workspace/build/src/docshell/base/nsIWebNavigationInfo.idl /builds/worker/workspace/build/src/docshell/base/nsIWebPageDescriptor.idl
[task 2019-05-21T17:18:22.777Z] 17:18:22 ERROR - Traceback (most recent call last):
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/config/pythonpath.py", line 58, in <module>
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - main(sys.argv[1:])
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/config/pythonpath.py", line 48, in main
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - execfile(script, frozenglobals)
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/python/mozbuild/mozbuild/action/xpidl-process.py", line 118, in <module>
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - main(sys.argv[1:])
[task 2019-05-21T17:18:22.777Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/python/mozbuild/mozbuild/action/xpidl-process.py", line 115, in main
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - args.idls)
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/python/mozbuild/mozbuild/action/xpidl-process.py", line 51, in process
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - idl = p.parse(idl_data, filename=path)
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/xpcom/idl-parser/xpidl/xpidl.py", line 1826, in parse
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - idl = self.parser.parse(lexer=self)
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/other-licenses/ply/ply/yacc.py", line 265, in parse
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - return self.parseopt_notrack(input,lexer,debug,tracking,tokenfunc)
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/other-licenses/ply/ply/yacc.py", line 1047, in parseopt_notrack
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - tok = self.errorfunc(errtoken)
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - File "/builds/worker/workspace/build/src/xpcom/idl-parser/xpidl/xpidl.py", line 1797, in p_error
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - raise IDLError("invalid syntax", location)
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - xpidl.xpidl.IDLError: error: invalid syntax, /builds/worker/workspace/build/src/docshell/base/nsIDocShell.idl line 1192:3
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - * Whether or not this docshell is executing a nsIWebNavigation navigation
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - ^
[task 2019-05-21T17:18:22.778Z] 17:18:22 INFO - Makefile:49: recipe for target 'docshell.xpt' failed

Flags: needinfo?(brennie)

Sorry, bad rebase. I'll get this sorted right away.

Flags: needinfo?(brennie)
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/fb696b92c13d
Only forward nsIWebProgress events to the BrowserParent after the WebProgressChild has loaded r=kmag,mconley
https://hg.mozilla.org/integration/autoland/rev/db6da7f94a92
Refactor BrowserParent nsIWebProgress handlers r=kmag
https://hg.mozilla.org/integration/autoland/rev/df98eef1f640
Keep track of whether we are navigating to a new URI in nsDocShell r=mconley,kmag,qdot
https://hg.mozilla.org/integration/autoland/rev/c5488e2770a6
Port onStateChange notifications inside WebProgressChild.jsm to C++ r=baku,kmag
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/418a61f5f87b
Only forward nsIWebProgress events to the BrowserParent after the WebProgressChild has loaded r=kmag,mconley
https://hg.mozilla.org/integration/autoland/rev/3d9715a5ecd4
Refactor BrowserParent nsIWebProgress handlers r=kmag
https://hg.mozilla.org/integration/autoland/rev/39c6818fdb12
Keep track of whether we are navigating to a new URI in nsDocShell r=mconley,kmag,qdot
https://hg.mozilla.org/integration/autoland/rev/756519a7cf79
Port onStateChange notifications inside WebProgressChild.jsm to C++ r=baku,kmag

Backed out 4 changesets (Bug 1510569) for 1419902.html failures

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=testfailed%2Cbusted%2Cexception%2Cretry%2Cusercancel%2Crunnable&group_state=expanded&fromchange=756519a7cf79069510c83d82f7616a5cf5aa741e&tochange=281516b149298ba4a6832846a3eb1d236e36ef1d&selectedJob=247844145

Backout link: https://hg.mozilla.org/integration/autoland/rev/281516b149298ba4a6832846a3eb1d236e36ef1d

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=247844145&repo=autoland&lineNumber=2754

[task 2019-05-22T22:45:39.888Z] 22:45:39 INFO - REFTEST TEST-START | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html
[task 2019-05-22T22:45:39.888Z] 22:45:39 INFO - REFTEST INFO | SET PREFERENCE pref(dom.disable_open_during_load,false)
[task 2019-05-22T22:45:39.888Z] 22:45:39 INFO - REFTEST TEST-LOAD | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html | 312 / 3751 (8%)
[task 2019-05-22T22:45:50.101Z] 22:45:50 INFO - REFTEST WARNING | Failed to find the test-plugin.
[task 2019-05-22T22:45:50.101Z] 22:45:50 INFO - REFTEST WARNING | Failed to find the test-plugin.
[task 2019-05-22T22:45:50.101Z] 22:45:50 INFO - REFTEST WARNING | Failed to get test plugin tags.
[task 2019-05-22T22:46:10.622Z] 22:46:10 INFO - wait for org.mozilla.geckoview.test complete; top activity=com.android.launcher3
[task 2019-05-22T22:46:10.724Z] 22:46:10 INFO - remoteautomation.py | Application ran for: 0:01:15.066031
[task 2019-05-22T22:46:11.157Z] 22:46:11 INFO - REFTEST INFO | Downloading symbols from: https://queue.taskcluster.net/v1/task/P58ss69ZRkWqoC9BgexyRw/artifacts/public/build/target.crashreporter-symbols.zip
[task 2019-05-22T22:46:17.732Z] 22:46:17 INFO - REFTEST INFO | Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpW0XhlZ/6e799eab-c316-a81c-878a-6d1c4be79a51.dmp /tmp/tmpbown9t
[task 2019-05-22T22:46:20.972Z] 22:46:20 INFO - REFTEST INFO | Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/6e799eab-c316-a81c-878a-6d1c4be79a51.dmp
[task 2019-05-22T22:46:20.972Z] 22:46:20 INFO - REFTEST INFO | Saved app info as /builds/worker/workspace/build/blobber_upload_dir/6e799eab-c316-a81c-878a-6d1c4be79a51.extra
[task 2019-05-22T22:46:20.975Z] 22:46:20 INFO - REFTEST PROCESS-CRASH | http://10.0.2.2:8854/tests/dom/base/crashtests/1419902.html | application crashed [@ nsTSubstring<char>::Assign(nsTSubstring<char> const&, std::nothrow_t const&)]
[task 2019-05-22T22:46:20.975Z] 22:46:20 INFO - Crash dump filename: /tmp/tmpW0XhlZ/6e799eab-c316-a81c-878a-6d1c4be79a51.dmp
[task 2019-05-22T22:46:20.975Z] 22:46:20 INFO - Operating system: Android
[task 2019-05-22T22:46:20.975Z] 22:46:20 INFO - 0.0.0 Linux 3.10.0+ #1 PREEMPT Thu Jan 5 00:46:30 UTC 2017 x86_64
[task 2019-05-22T22:46:20.976Z] 22:46:20 INFO - CPU: amd64
[task 2019-05-22T22:46:20.976Z] 22:46:20 INFO - family 6 model 2 stepping 3
[task 2019-05-22T22:46:20.976Z] 22:46:20 INFO - 1 CPU
[task 2019-05-22T22:46:20.976Z] 22:46:20 INFO - GPU: UNKNOWN
[task 2019-05-22T22:46:20.976Z] 22:46:20 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2019-05-22T22:46:20.976Z] 22:46:20 INFO - Crash address: 0x390
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - Process uptime: not available
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - Thread 11 (crashed)
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - 0 libxul.so!nsTSubstring<char>::Assign(nsTSubstring<char> const&, std::nothrow_t const&) [nsTSubstring.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 470 + 0x0]
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rax = 0x0002000100000000 rdx = 0x000071eefc96d1d4
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rcx = 0x000071eefc96d1d4 rbx = 0x0000000000000388
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rsi = 0x0000000000000388 rdi = 0x000071eefd179658
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rbp = 0x000071eefd179620 rsp = 0x000071eefd179610
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - r8 = 0x0000000000000000 r9 = 0x0000000000000000
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - r10 = 0x0000000000000000 r11 = 0x000071eeef262c50
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - r12 = 0x000071eeeef76028 r13 = 0x000071eefbf48738
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - r14 = 0x000071eefd179658 r15 = 0x000071eefd1796d8
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rip = 0x000071eef6db7913
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - Found by: given as instruction pointer in context
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - 1 libxul.so!nsTSubstring<char>::Assign(nsTSubstring<char> const&) [nsTSubstring.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 455 + 0xc]
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rbx = 0x0000000000000388 rbp = 0x000071eefd179640
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - rsp = 0x000071eefd179630 r12 = 0x000071eeeef76028
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - r13 = 0x000071eefbf48738 r14 = 0x000071eefd1796d8
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - r15 = 0x000071eefd1796d8 rip = 0x000071eef6db5287
[task 2019-05-22T22:46:20.977Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 2 libxul.so!mozilla::dom::Document::GetContentType(nsTSubstring<char16_t>&) [Document.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3257 + 0x13]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x000071eefd179658 rbp = 0x000071eefd179680
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179650 r12 = 0x000071eeeef76028
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eefbf48738 r14 = 0x000071eefd1796d8
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x000071eefd1796d8 rip = 0x000071eef780826c
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 3 libxul.so!mozilla::dom::BrowserChild::OnStateChange(nsIWebProgress*, nsIRequest*, unsigned int, nsresult) [BrowserChild.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3512 + 0x21]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd179760
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179690 r12 = 0x000071eeeef76028
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eefbf48738 r14 = 0x000071eeeec0a800
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x000071eefd1796d8 rip = 0x000071eef8399f58
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 4 libxul.so!nsBrowserStatusFilter::OnStateChange(nsIWebProgress*, nsIRequest*, unsigned int, nsresult) [nsBrowserStatusFilter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 174 + 0x12]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x00000000000c0010 rbp = 0x000071eefd1797b0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179770 r12 = 0x000071eeeefe2138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eeeef76028 r14 = 0x000071eeeedf9180
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x0000000000000000 rip = 0x000071eef8fca79d
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 5 libxul.so!nsDocLoader::DoFireOnStateChange(nsIWebProgress*, nsIRequest*, int&, nsresult) [nsDocLoader.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 1315 + 0x19]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x000071eefd17985c rbp = 0x000071eefd179840
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd1797c0 r12 = 0x000071eefd179808
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eefd1797e0 r14 = 0x000071eeeedf9188
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x000071eeeef76000 rip = 0x000071eef74af7d0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 6 libxul.so!nsDocLoader::doStopDocumentLoad(nsIRequest*, nsresult) [nsDocLoader.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 885 + 0x1d]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x000071eeeef76028 rbp = 0x000071eefd1798e0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179850 r12 = 0x0000000000000000
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eefd17985c r14 = 0x00000000804b0002
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x000071eeeefe2138 rip = 0x000071eef74af4bd
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 7 libxul.so!nsDocLoader::DocLoaderIsEmpty(bool) [nsDocLoader.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 712 + 0x11]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x000071eefd1799a8 rbp = 0x000071eefd1799e0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd1798f0 r12 = 0x000071eeeef76138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eeeef76000 r14 = 0x000071eeeefe2138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x000071eefc6ab1e0 rip = 0x000071eef74ae684
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 8 libxul.so!nsDocLoader::OnStopRequest(nsIRequest*, nsresult) [nsDocLoader.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 600 + 0xb]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x000071eefd179a08 rbp = 0x000071eefd179aa0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd1799f0 r12 = 0x000071eeeef76138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eeeef76000 r14 = 0x000071eeeefe2138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x00000000804b0002 rip = 0x000071eef74af0ca
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 9 libxul.so!non-virtual thunk to nsDocLoader::OnStopRequest(nsIRequest*, nsresult) [nsDocLoader.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 0 + 0xd]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd179ab0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179ab0 r12 = 0x000071eeeefe2138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eeeef76008 r14 = 0x000071eeeed38ac0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x00000000804b0002 rip = 0x000071eef74af363
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 10 libxul.so!mozilla::net::nsLoadGroup::RemoveRequest(nsIRequest*, nsISupports*, nsresult) [nsLoadGroup.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 568 + 0x10]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd179b60
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179ac0 r12 = 0x000071eeeefe2138
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x000071eeeef76008 r14 = 0x000071eeeed38ac0
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x00000000804b0002 rip = 0x000071eef6e9b8c9
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 11 libxul.so!mozilla::net::nsLoadGroup::Cancel(nsresult) [nsLoadGroup.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 221 + 0x14]
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rbx = 0x000071eeeed38ac0 rbp = 0x000071eefd179c50
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - rsp = 0x000071eefd179b70 r12 = 0x000071eeeed38b28
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r13 = 0x0000000000000001 r14 = 0x00000000804b0002
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - r15 = 0x000071eeeefe2138 rip = 0x000071eef6e9abb2
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.981Z] 22:46:20 INFO - 12 libxul.so!nsDocLoader::Stop() [nsDocLoader.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 230 + 0x17]
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - rbx = 0x000071eeeef76000 rbp = 0x000071eefd179ca0
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - rsp = 0x000071eefd179c60 r12 = 0x000071eefd179dd8
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - r13 = 0x0000000000000000 r14 = 0x000071eeeef76000
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - r15 = 0x000071eeeed05200 rip = 0x000071eef74ae4dd
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - 13 libxul.so!nsDocShell::Stop(unsigned int) [nsDocShell.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 4748 + 0x8]
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - rbx = 0x000071eeeef76000 rbp = 0x000071eefd179d10
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - rsp = 0x000071eefd179cb0 r12 = 0x000071eefd179dd8
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - r13 = 0x0000000000000000 r14 = 0x0000000000000001
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - r15 = 0x000071eeeed05200 rip = 0x000071eef8e4fb67
[task 2019-05-22T22:46:20.982Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - 14 libxul.so!non-virtual thunk to nsDocShell::Stop(unsigned int) [nsDocShell.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 0 + 0x10]
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - rbx = 0x000071eeeef76188 rbp = 0x000071eefd179d20
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - rsp = 0x000071eefd179d20 r12 = 0x000071eefd179dd8
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - r13 = 0x0000000000000000 r14 = 0x0000000000000ffe
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - r15 = 0x000071eeeed05200 rip = 0x000071eef8e61be2
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - 15 libxul.so!nsWindowWatcher::OpenWindowInternal(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsIArray*, bool, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [nsWindowWatcher.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 779 + 0x9]
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - rbx = 0x000071eeeef76188 rbp = 0x000071eefd179fd0
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - rsp = 0x000071eefd179d30 r12 = 0x000071eefd179dd8
[task 2019-05-22T22:46:20.983Z] 22:46:20 INFO - r13 = 0x0000000000000000 r14 = 0x0000000000000ffe
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - r15 = 0x000071eeeed05200 rip = 0x000071eef9032382
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - 16 libxul.so!nsWindowWatcher::OpenWindow2(mozIDOMWindowProxy*, char const*, char const*, char const*, bool, bool, bool, nsISupports*, bool, bool, bool, nsDocShellLoadState*, mozIDOMWindowProxy**) [nsWindowWatcher.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 369 + 0x40]
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17a080
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - rsp = 0x000071eefd179fe0 r12 = 0x0000000000000000
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - r13 = 0x0000000000000001 r14 = 0x0000000000000000
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - r15 = 0x000071eef1fa6340 rip = 0x000071eef9033380
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.984Z] 22:46:20 INFO - 17 libxul.so!nsGlobalWindowOuter::OpenInternal(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, bool, bool, bool, bool, bool, nsIArray*, nsISupports*, nsDocShellLoadState*, bool, nsPIDOMWindowOuter**) [nsGlobalWindowOuter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 7203 + 0x5b]
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17a290
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - rsp = 0x000071eefd17a090 r12 = 0x0000000000000001
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - r13 = 0x000071eef1fdb760 r14 = 0x0000000000000001
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - r15 = 0x000071eef1fa6348 rip = 0x000071eef77c76e4
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - 18 libxul.so!nsGlobalWindowOuter::OpenJS(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsPIDOMWindowOuter**) [nsGlobalWindowOuter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 5707 + 0x32]
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - rbx = 0x000071eefd17a300 rbp = 0x000071eefd17a2e0
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - rsp = 0x000071eefd17a2a0 r12 = 0x000071eefd17a440
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - r13 = 0x000071eefd17a4d0 r14 = 0x000071eefd17a3a0
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - r15 = 0x000071eefd17a388 rip = 0x000071eef77c6d4e
[task 2019-05-22T22:46:20.985Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - 19 libxul.so!nsGlobalWindowOuter::OpenOuter(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, mozilla::ErrorResult&) [nsGlobalWindowOuter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 5679 + 0x18]
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - rbx = 0x000071eefd17a300 rbp = 0x000071eefd17a330
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - rsp = 0x000071eefd17a2f0 r12 = 0x000071eefd17a440
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - r13 = 0x000071eefd17a4d0 r14 = 0x000071eefd17a3a0
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - r15 = 0x000071eefd17a388 rip = 0x000071eef77c6c78
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - 20 libxul.so!nsGlobalWindowInner::Open(nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, nsTSubstring<char16_t> const&, mozilla::ErrorResult&) [nsGlobalWindowInner.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3706 + 0x27]
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - rbx = 0x000071eefd17a388 rbp = 0x000071eefd17a370
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - rsp = 0x000071eefd17a340 r12 = 0x000071eefd17a440
[task 2019-05-22T22:46:20.986Z] 22:46:20 INFO - r13 = 0x000071eefd17a4d0 r14 = 0x000071eefd17a3a0
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - r15 = 0x000071eefd17a3b0 rip = 0x000071eef77b2eee
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - 21 libxul.so!mozilla::dom::Window_Binding::open(JSContext*, JS::Handle<JSObject*>, nsGlobalWindowInner*, JSJitMethodCallArgs const&) [WindowBinding.cpp: : 2868 + 0xb]
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - rbx = 0x000071eefd17a388 rbp = 0x000071eefd17a590
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - rsp = 0x000071eefd17a380 r12 = 0x0000000000000000
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - r13 = 0x000071eefd17a5f0 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - r15 = 0x000071eeeed0a000 rip = 0x000071eef7c78b8a
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - 22 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::MaybeGlobalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3165 + 0x11]
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - rbx = 0x0000008f2c618060 rbp = 0x000071eefd17a630
[task 2019-05-22T22:46:20.987Z] 22:46:20 INFO - rsp = 0x000071eefd17a5a0 r12 = 0x0000000000000001
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - r13 = 0x000000000000032e r14 = 0x000071eefc0c73f0
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - r15 = 0x000071eef2c23000 rip = 0x000071eef7e4300d
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - 23 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 538 + 0x19f]
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - rbx = 0x000071eeefe06000 rbp = 0x000071eefd17a700
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - rsp = 0x000071eefd17a640 r12 = 0x000071eefd17a7e0
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - r13 = 0xfffe000000000000 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - r15 = 0x000071eefd17a688 rip = 0x000071eef915707d
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - 24 libxul.so!js::jit::DoCallFallback(JSContext*, js::jit::BaselineFrame*, js::jit::ICCall_Fallback*, unsigned int, JS::Value*, JS::MutableHandle<JS::Value>) [BaselineIC.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3763 + 0x8]
[task 2019-05-22T22:46:20.988Z] 22:46:20 INFO - rbx = 0x000000000000003a rbp = 0x000071eefd17aa50
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - rsp = 0x000071eefd17a710 r12 = 0x000071eef07a6104
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - r13 = 0x000071eef074b200 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - r15 = 0x0000000000000001 rip = 0x000071eef969f475
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - 25 0x13f6d38c48f8
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - rbx = 0xfffe008f2c620b00 rbp = 0x000071eefd17aad0
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - rsp = 0x000071eefd17aa60 r12 = 0x0000000000000000
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - r13 = 0x000071eefd17b2e8 r14 = 0x0000008f2c60ad40
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - r15 = 0x000071eefd17ac48 rip = 0x000013f6d38c48f8
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - 26 0x71eef074b200
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - rbp = 0x000071eefd17ab68 rsp = 0x000071eefd17aae0
[task 2019-05-22T22:46:20.989Z] 22:46:20 INFO - rip = 0x000071eef074b200
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - Found by: previous frame's frame pointer
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - 27 0x13f6d38c24df
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - rbp = 0x000071eefd17abd0 rsp = 0x000071eefd17ab78
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - rip = 0x000013f6d38c24df
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - Found by: previous frame's frame pointer
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - 28 libxul.so!js::jit::MaybeEnterJit(JSContext*, js::RunState&) [Jit.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 195 + 0x6eb]
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - rbp = 0x000071eefd17b0a0 rsp = 0x000071eefd17abe0
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - rip = 0x000071eef98910d8
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - Found by: previous frame's frame pointer
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - 29 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 408 + 0xb]
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - rbx = 0x000000000000aaa0 rbp = 0x000071eefd17b100
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - rsp = 0x000071eefd17b0b0 r12 = 0x000071eefd17b188
[task 2019-05-22T22:46:20.990Z] 22:46:20 INFO - r13 = 0x000071eef2c23000 r14 = 0x000071eefd17b170
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - r15 = 0x000011eee1cf7100 rip = 0x000071eef9141c08
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - 30 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 566 + 0x8]
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - rbx = 0x000071eeefe06000 rbp = 0x000071eefd17b1d0
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - rsp = 0x000071eefd17b110 r12 = 0x000071eefd17b298
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - r13 = 0x000071eeefe06000 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - r15 = 0x000071eef2c23020 rip = 0x000071eef91573bb
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - 31 libxul.so!InternalConstruct(JSContext*, js::AnyConstructArgs const&) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 639 + 0x10]
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - rbx = 0x000071eefd17b3a8 rbp = 0x000071eefd17b260
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - rsp = 0x000071eefd17b1e0 r12 = 0x000071eefd17b298
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - r13 = 0xfffe000000000000 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.991Z] 22:46:20 INFO - r15 = 0xfffe000000000000 rip = 0x000071eef9157ba4
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - 32 libxul.so!JS::Construct(JSContext*, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JSObject*>) [jsapi.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 2704 + 0x31]
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - rbx = 0x000071eefd17b3a8 rbp = 0x000071eefd17b350
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - rsp = 0x000071eefd17b270 r12 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - r13 = 0x0000000000000000 r14 = 0x000071eefd17b370
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - r15 = 0xfffe000000000000 rip = 0x000071eef950974d
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - 33 libxul.so!mozilla::dom::CustomElementConstructor::Construct(JS::MutableHandle<JS::Value>, mozilla::ErrorResult&, char const*, mozilla::dom::CallbackObject::ExceptionHandling, JS::Realm*) [CustomElementRegistryBinding.cpp: : 207 + 0x8]
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - rbx = 0x000071eef2c23000 rbp = 0x000071eefd17b590
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - rsp = 0x000071eefd17b360 r12 = 0x000071eeeed160c0
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - r13 = 0xfffe000000000000 r14 = 0x000071eef2c23068
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - r15 = 0x000071eefd17b5b8 rip = 0x000071eef7cd2a38
[task 2019-05-22T22:46:20.992Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - 34 libxul.so!nsContentUtils::NewXULOrHTMLElement(mozilla::dom::Element**, mozilla::dom::NodeInfo*, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsContentUtils.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 9381 + 0xb]
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - rbx = 0x000071eefd17b5b8 rbp = 0x000071eefd17b6d0
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - rsp = 0x000071eefd17b5a0 r12 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - r13 = 0x000071eefd17b780 r14 = 0x000071eeeef3e000
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - r15 = 0x000071eeeed36b00 rip = 0x000071eef7795f5a
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - 35 libxul.so!NS_NewHTMLElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsHTMLContentSink.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 233 + 0x8]
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17b700
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - rsp = 0x000071eefd17b6e0 r12 = 0x000071eeeed36b00
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - r13 = 0x000071eefd17b788 r14 = 0x000071eefd17b6e0
[task 2019-05-22T22:46:20.993Z] 22:46:20 INFO - r15 = 0x0000000000000000 rip = 0x000071eef8062d0c
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - 36 libxul.so!NS_NewElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsTSubstring<char16_t> const*) [nsNameSpaceManager.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 175 + 0x1d]
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17b760
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - rsp = 0x000071eefd17b710 r12 = 0x000071eeeed36b00
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - r13 = 0x000071eefd17b788 r14 = 0x000071eefd17b780
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - r15 = 0x0000000000000000 rip = 0x000071eef78b2b78
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - 37 libxul.so!mozilla::dom::Document::CreateElem(nsTSubstring<char16_t> const&, nsAtom*, int, nsTSubstring<char16_t> const*) [Document.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 7580 + 0x1b]
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - rbx = 0x000071eefd17b7f8 rbp = 0x000071eefd17b7c0
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - rsp = 0x000071eefd17b770 r12 = 0x0000000000000000
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - r13 = 0x000071eefd17b788 r14 = 0x000071eeeef97a40
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - r15 = 0x0000000000000003 rip = 0x000071eef780e5d3
[task 2019-05-22T22:46:20.994Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - 38 libxul.so!mozilla::dom::Document::CreateElement(nsTSubstring<char16_t> const&, mozilla::dom::ElementCreationOptionsOrString const&, mozilla::ErrorResult&) [Document.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 5554 + 0xd]
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17b8c0
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - rsp = 0x000071eefd17b7d0 r12 = 0x000071eefd17b7f8
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - r13 = 0x000071eefd17b920 r14 = 0x000071eeeef3e053
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - r15 = 0x000071eefd17b8d8 rip = 0x000071eef780e4f4
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - 39 libxul.so!mozilla::dom::Document_Binding::createElement(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Document*, JSJitMethodCallArgs const&) [DocumentBinding.cpp: : 1367 + 0xb]
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - rbx = 0x000071eef2c23000 rbp = 0x000071eefd17ba70
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - rsp = 0x000071eefd17b8d0 r12 = 0x000071eefd17b8d8
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - r13 = 0x000000000000008b r14 = 0x000071eeeef3e000
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - r15 = 0x000071eefd17bad0 rip = 0x000071eef7d1a24d
[task 2019-05-22T22:46:20.995Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - 40 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3165 + 0x14]
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - rbx = 0x000071eef7d1a0f5 rbp = 0x000071eefd17bb10
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - rsp = 0x000071eefd17ba80 r12 = 0x0000000000000002
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - r13 = 0x000000000000008b r14 = 0x000071eefc0e5d90
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - r15 = 0x000071eef2c23000 rip = 0x000071eef7e42c4c
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - 41 0x13f6d39795c4
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - rbx = 0x000071eefd17bb58 rbp = 0x000071eefd17bb70
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - rsp = 0x000071eefd17bb20 r12 = 0x0000000000000000
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - r13 = 0x000071eefd17c388 r14 = 0x0000008f2c60ad40
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - r15 = 0x000071eefd17bce8 rip = 0x000013f6d39795c4
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - 42 0x71eef074b320
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - rbp = 0x000071eefd17bc08 rsp = 0x000071eefd17bb80
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - rip = 0x000071eef074b320
[task 2019-05-22T22:46:20.996Z] 22:46:20 INFO - Found by: previous frame's frame pointer
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - 43 0x13f6d38c24df
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - rbp = 0x000071eefd17bc70 rsp = 0x000071eefd17bc18
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - rip = 0x000013f6d38c24df
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - Found by: previous frame's frame pointer
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - 44 libxul.so!js::jit::MaybeEnterJit(JSContext*, js::RunState&) [Jit.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 195 + 0x6eb]
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - rbp = 0x000071eefd17c140 rsp = 0x000071eefd17bc80
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - rip = 0x000071eef98910d8
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - Found by: previous frame's frame pointer
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - 45 libxul.so!js::RunScript(JSContext*, js::RunState&) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 408 + 0xb]
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - rbx = 0x000000000000aa20 rbp = 0x000071eefd17c1a0
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - rsp = 0x000071eefd17c150 r12 = 0x000071eefd17c228
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - r13 = 0x000071eef2c23000 r14 = 0x000071eefd17c210
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - r15 = 0x000011eee1cf7100 rip = 0x000071eef9141c08
[task 2019-05-22T22:46:20.997Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - 46 libxul.so!js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 566 + 0x8]
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - rbx = 0x000071eeefe06000 rbp = 0x000071eefd17c270
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - rsp = 0x000071eefd17c1b0 r12 = 0x000071eefd17c338
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - r13 = 0x000071eeefe06000 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - r15 = 0x000071eef2c23020 rip = 0x000071eef91573bb
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - 47 libxul.so!InternalConstruct(JSContext*, js::AnyConstructArgs const&) [Interpreter.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 639 + 0x10]
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - rbx = 0x000071eefd17c448 rbp = 0x000071eefd17c300
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - rsp = 0x000071eefd17c280 r12 = 0x000071eefd17c338
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - r13 = 0xfffe000000000000 r14 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - r15 = 0xfffe000000000000 rip = 0x000071eef9157ba4
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.998Z] 22:46:20 INFO - 48 libxul.so!JS::Construct(JSContext*, JS::Handle<JS::Value>, JS::HandleValueArray const&, JS::MutableHandle<JSObject*>) [jsapi.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 2704 + 0x31]
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - rbx = 0x000071eefd17c448 rbp = 0x000071eefd17c3f0
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - rsp = 0x000071eefd17c310 r12 = 0x000071eef2c23000
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - r13 = 0x0000000000000000 r14 = 0x000071eefd17c410
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - r15 = 0xfffe000000000000 rip = 0x000071eef950974d
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - 49 libxul.so!mozilla::dom::CustomElementConstructor::Construct(JS::MutableHandle<JS::Value>, mozilla::ErrorResult&, char const*, mozilla::dom::CallbackObject::ExceptionHandling, JS::Realm*) [CustomElementRegistryBinding.cpp: : 207 + 0x8]
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - rbx = 0x000071eef2c23000 rbp = 0x000071eefd17c630
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - rsp = 0x000071eefd17c400 r12 = 0x000071eeeed160c0
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - r13 = 0xfffe000000000000 r14 = 0x000071eef2c23068
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - r15 = 0x000071eefd17c658 rip = 0x000071eef7cd2a38
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - Found by: call frame info
[task 2019-05-22T22:46:20.999Z] 22:46:20 INFO - 50 libxul.so!nsContentUtils::NewXULOrHTMLElement(mozilla::dom::Element**, mozilla::dom::NodeInfo*, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsContentUtils.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 9381 + 0xb]
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - rbx = 0x000071eefd17c658 rbp = 0x000071eefd17c770
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - rsp = 0x000071eefd17c640 r12 = 0x000071eef2c23000
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - r13 = 0x000071eefd17c820 r14 = 0x000071eeeef3e000
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - r15 = 0x000071eeeed36b00 rip = 0x000071eef7795f5a
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - Found by: call frame info
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - 51 libxul.so!NS_NewHTMLElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsAtom*, mozilla::dom::CustomElementDefinition*) [nsHTMLContentSink.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 233 + 0x8]
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17c7a0
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - rsp = 0x000071eefd17c780 r12 = 0x000071eeeed36b00
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - r13 = 0x000071eefd17c828 r14 = 0x000071eefd17c780
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - r15 = 0x0000000000000000 rip = 0x000071eef8062d0c
[task 2019-05-22T22:46:21.000Z] 22:46:21 INFO - Found by: call frame info
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - 52 libxul.so!NS_NewElement(mozilla::dom::Element**, already_AddRefed<mozilla::dom::NodeInfo>&&, mozilla::dom::FromParser, nsTSubstring<char16_t> const*) [nsNameSpaceManager.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 175 + 0x1d]
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17c800
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - rsp = 0x000071eefd17c7b0 r12 = 0x000071eeeed36b00
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - r13 = 0x000071eefd17c828 r14 = 0x000071eefd17c820
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - r15 = 0x0000000000000000 rip = 0x000071eef78b2b78
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - Found by: call frame info
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - 53 libxul.so!mozilla::dom::Document::CreateElem(nsTSubstring<char16_t> const&, nsAtom*, int, nsTSubstring<char16_t> const*) [Document.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 7580 + 0x1b]
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - rbx = 0x000071eefd17c898 rbp = 0x000071eefd17c860
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - rsp = 0x000071eefd17c810 r12 = 0x0000000000000000
[task 2019-05-22T22:46:21.001Z] 22:46:21 INFO - r13 = 0x000071eefd17c828 r14 = 0x000071eeeef97a40
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - r15 = 0x0000000000000003 rip = 0x000071eef780e5d3
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - Found by: call frame info
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - 54 libxul.so!mozilla::dom::Document::CreateElement(nsTSubstring<char16_t> const&, mozilla::dom::ElementCreationOptionsOrString const&, mozilla::ErrorResult&) [Document.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 5554 + 0xd]
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - rbx = 0x0000000000000000 rbp = 0x000071eefd17c960
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - rsp = 0x000071eefd17c870 r12 = 0x000071eefd17c898
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - r13 = 0x000071eefd17c9c0 r14 = 0x000071eeeef3e053
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - r15 = 0x000071eefd17c978 rip = 0x000071eef780e4f4
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - Found by: call frame info
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - 55 libxul.so!mozilla::dom::Document_Binding::createElement(JSContext*, JS::Handle<JSObject*>, mozilla::dom::Document*, JSJitMethodCallArgs const&) [DocumentBinding.cpp: : 1367 + 0xb]
[task 2019-05-22T22:46:21.002Z] 22:46:21 INFO - rbx = 0x000071eef2c23000 rbp = 0x000071eefd17cb10
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - rsp = 0x000071eefd17c970 r12 = 0x000071eefd17c978
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - r13 = 0x000000000000008b r14 = 0x000071eeeef3e000
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - r15 = 0x000071eefd17cb70 rip = 0x000071eef7d1a24d
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - Found by: call frame info
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - 56 libxul.so!bool mozilla::dom::binding_detail::GenericMethod<mozilla::dom::binding_detail::NormalThisPolicy, mozilla::dom::binding_detail::ThrowExceptions>(JSContext*, unsigned int, JS::Value*) [BindingUtils.cpp:756519a7cf79069510c83d82f7616a5cf5aa741e : 3165 + 0x14]
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - rbx = 0x000071eef7d1a0f5 rbp = 0x000071eefd17cbb0
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - rsp = 0x000071eefd17cb20 r12 = 0x0000000000000002
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - r13 = 0x000000000000008b r14 = 0x000071eefc0e5d90
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - r15 = 0x000071eef2c23000 rip = 0x000071eef7e42c4c
[task 2019-05-22T22:46:21.003Z] 22:46:21 INFO - Found by: call frame info

Flags: needinfo?(brennie)
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7718aebfcc52
Only forward nsIWebProgress events to the BrowserParent after the WebProgressChild has loaded r=kmag,mconley
https://hg.mozilla.org/integration/autoland/rev/85f424c7b1f8
Refactor BrowserParent nsIWebProgress handlers r=kmag
https://hg.mozilla.org/integration/autoland/rev/f104f127518e
Keep track of whether we are navigating to a new URI in nsDocShell r=mconley,kmag,qdot
https://hg.mozilla.org/integration/autoland/rev/9c779a0d65ae
Port onStateChange notifications inside WebProgressChild.jsm to C++ r=baku,kmag

The latest patches should resolve this crash.

Flags: needinfo?(brennie)
Regressions: 1554602
Regressions: 1553487

When TabParent::ReconstructWebProgressRequest was introduced in
31b206e2046f63af31424489e3d61d7761805878, it mistakenly was unconditionally
constructing an nsIRequest from the received RequestData, even when the URI
was null.

Additionally ReconstructWebProgressRequest has been updated to use the Gecko
style for out parameters (accepting an nsIFoo** and passing
getter_AddRefs(...) instead of nsCOMPtr<nsIFoo>&).

The WebProgress#sendLoadCallResult method only existed to send a empty async
message and was only called from the WebNavigationChild. Since
WebNavigationChild is in the process of being removed, it makes sense to
inline the replaced method into its call site.

Depends on D34565

Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1bf1907ee0c9
Correctly reconstruct nsIRequest in tab parent r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/abb51690fd32
Port onLocationChange notifications inside WebProgressChild.jsm to C++ r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/19e734aeffa9
Order the RefreshBlocker's messages to the parent after the BrowserChild's r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/14bbe0916bdd
Move Content:BrowserChildReady from WebProgressChild.jsm into the browser child frame script r=mconley
https://hg.mozilla.org/integration/autoland/rev/4f0f5351be8b
Port Content:LoadURIResult message to IPDL r=mconley
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/874094c498ac
Correctly reconstruct nsIRequest in tab parent r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/63ed84a799d9
Port onLocationChange notifications inside WebProgressChild.jsm to C++ r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/e88b521b78d4
Order the RefreshBlocker's messages to the parent after the BrowserChild's r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/b723e35febfc
Move Content:BrowserChildReady from WebProgressChild.jsm into the browser child frame script r=mconley
https://hg.mozilla.org/integration/autoland/rev/ec8bf3fa989d
Port Content:LoadURIResult message to IPDL r=mconley

Latest changes pushed address the bustages

Flags: needinfo?(brennie)

ipc_message_utils.h defines IPDLParamTraits on windows for some things like
HWND and HANDLE. However, it doesn't directly include windows.h on Windows to
include them. All other usages seem to rely on including base/process.h, which
does include windows.h and adds the appropriate typedefs.

This is the last message that WebProgressChild was sending to the
RemoteWebProgress in the parent process, so we can remove the module entirely.

Depends on D35090

The members of nsIWebProgressListener2 were added to BrowserChild (then
TabChild) in commit 1028814583232487b52b9c20d47e3b38dc1c288a, but the interface
was never added to the interface map.

Summary: Consider to rewrite WebProgressChild.jsm and RemoteWebProgress.jsm in C++ → Rewrite WebProgressChild.jsm and RemoteWebProgress.jsm in C++

Noticed some perf improvements:

== Change summary for alert #21488 (as of Fri, 14 Jun 2019 12:21:30 GMT) ==

Improvements:

2% tp5o_webext linux64-shippable-qr opt e10s stylo 169.34 -> 165.39
2% tp5o_webext linux64-shippable opt e10s stylo 170.99 -> 167.14

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=21488

Attachment #9072290 - Attachment description: Bug 1510569 - Implement serializers for nsITransportSecurityInfo, nsIX509Cert, and nsIX509CertList r?froydnj,mccr8,keeler → Bug 1510569 - Implement serializers for nsITransportSecurityInfo, nsIX509Cert, and nsIX509CertList r?froydnj,keeler

Now that there is an IPDLParamTraits implementation for nsIPrincipal*, we need
not manually transform it to/form a PrincipalInfo ourselves.

Attachment #9075433 - Attachment description: Bug 1510569 - Use nsIPrincipal in WebProgressLocationChangeData directly r?nika → Bug 1510569 - Use nsIPrincipal and nsIContentSecurityPolicy in WebProgressLocationChangeData directly r?nika
Depends on: 1564221
Regressions: 1562821
Regressions: 1568975
Priority: -- → P2
No longer regressions: 1568975
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/10bef3126e1b
Prevent missing symbol errors during builds when adding new IPDL headers r=Ehsan

I'm narrowing the scope of this bug to only remove WebProgressChild (and WebProgressChild.jsm) and RemoteWebProgress + RemoteWebProgressRequest. This leaves RemoteWebProgressManager to be replaced in another bug. That is less trivial since it requires refactoring some nsDocLoader stuff and this bug has been open and landing patches too long.

Summary: Rewrite WebProgressChild.jsm and RemoteWebProgress.jsm in C++ → Replace RemoteWebProgress, RemoteWebProgressRequest, and WebProgressChild with C++ Components
Blocks: 1575624
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/642cd6323cdc
Implement serializers for nsITransportSecurityInfo, nsIX509Cert, and nsIX509CertList r=froydnj,keeler
https://hg.mozilla.org/integration/autoland/rev/b480af862022
Port onSecurityChange from WebProgressChild.jsm to C++; remove WebProgressChild r=Ehsan,ochameau
https://hg.mozilla.org/integration/autoland/rev/2fb8938d16db
Add nsIWebProgressListener2 to BrowserChild's interface map r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/eae555c11f25
Use nsIPrincipal and nsIContentSecurityPolicy in WebProgressLocationChangeData directly r=nika
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/cecb17bd8c03
Implement serializers for nsITransportSecurityInfo, nsIX509Cert, and nsIX509CertList r=froydnj,keeler,mayhemer
https://hg.mozilla.org/integration/autoland/rev/fa318eec0e76
Port onSecurityChange from WebProgressChild.jsm to C++; remove WebProgressChild r=Ehsan,ochameau
https://hg.mozilla.org/integration/autoland/rev/03b7cf756a7f
Add nsIWebProgressListener2 to BrowserChild's interface map r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/d7db6a1935ce
Use nsIPrincipal and nsIContentSecurityPolicy in WebProgressLocationChangeData directly r=nika
Flags: needinfo?(brennie)
Pushed by brennie@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4d29b7c90a5f
Implement serializers for nsITransportSecurityInfo, nsIX509Cert, and nsIX509CertList r=froydnj,keeler,mayhemer
https://hg.mozilla.org/integration/autoland/rev/e27459aad2c9
Port onSecurityChange from WebProgressChild.jsm to C++; remove WebProgressChild r=Ehsan,ochameau
https://hg.mozilla.org/integration/autoland/rev/ca4611846475
Add nsIWebProgressListener2 to BrowserChild's interface map r=Ehsan
https://hg.mozilla.org/integration/autoland/rev/ac49017fe65e
Use nsIPrincipal and nsIContentSecurityPolicy in WebProgressLocationChangeData directly r=nika

== Change summary for alert #22888 (as of Thu, 29 Aug 2019 08:32:00 GMT) ==

Improvements:

1% Base Content JS linux64-shippable opt 4,113,141.33 -> 4,086,053.33
1% Base Content JS linux64-shippable-qr opt 4,113,274.67 -> 4,086,000.00
1% Base Content JS macosx1014-64-shippable opt 4,122,372.00 -> 4,095,088.00
1% Base Content JS windows10-64-shippable opt 4,170,777.33 -> 4,147,242.67
1% Base Content JS windows10-64-shippable-qr opt 4,170,777.33 -> 4,147,376.00
0.47% Base Content JS windows7-32-shippable opt 3,233,942.67 -> 3,218,592.00

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=22888

Regressions: 1578304
Regressions: 1580934
Status: ASSIGNED → RESOLVED
Closed: 9 months ago
Keywords: leave-open
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.